SF_StanceBar_Locked = true;

function SemiStanceBar_OnLoad(self)
	self:RegisterEvent("PLAYER_ENTERING_WORLD");
	self:RegisterEvent("ADDON_LOADED");
	self:RegisterEvent("UPDATE_SHAPESHIFT_COOLDOWNS");
	--self:RegisterEvent("PLAYER_REGEN_ENABLED");
	--self:RegisterEvent("PLAYER_REGEN_DISABLED");
	--SemiStanceBar_HideStanceArt();
end

function SemiStanceBar_OnEvent(self, event, ...)
	local arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8 = ...;
	if event == "PLAYER_ENTERING_WORLD" or (event=="ADDON_LOADED" and arg1=="Semi_Stance_Bar") then
		SemiStanceBar_LockBars();
		SemiStanceBar_HideStanceArt();
	end
	--if ( event == "PLAYER_REGEN_ENABLED" ) then
	--	SemiStanceBar_HideStanceArt();
		--Semi_Link_Stance_BarToDragButton();
	--end
	if ( event == "UPDATE_SHAPESHIFT_COOLDOWNS" ) then
		SemiStanceBar_HideStanceArt();
		Semi_Link_Stance_BarToDragButton();
	end
end

function SemiStanceBar_HideStanceArt()
	StanceBarLeft:SetAlpha(0);
	StanceBarMiddle:SetAlpha(0);
	StanceBarRight:SetAlpha(0);
	SlidingActionBarTexture0:SetAlpha(0);
	SlidingActionBarTexture1:SetAlpha(0);
end

function Semi_Link_Stance_BarToDragButton()
	UIPARENT_MANAGED_FRAME_POSITIONS["StanceBarFrame"] = nil;
	UIPARENT_MANAGED_FRAME_POSITIONS["StanceButton1"] = nil; 
	StanceBarFrame:ClearAllPoints();
	StanceBarFrame:SetPoint("BOTTOMLEFT", SemiStanceBarDragButton, "TOPRIGHT");
	StanceButton1:ClearAllPoints();
	StanceButton1:SetPoint("LEFT", StanceBarFrame, "LEFT");		
end

function SemiStanceBar_LockBars()
	SemiStanceBarDragButton:SetAlpha(0);
	SemiStanceBarDragButton:EnableMouse("false");
	SF_StanceBar_Locked = true;
end

function SemiStanceBar_UnLockBars()
	SemiStanceBarDragButton:SetAlpha(1);
	SemiStanceBarDragButton:EnableMouse("true");
	SF_StanceBar_Locked = false;
end
