local Semiraid;
local SemiHideMe;

SF_MiniMapChoice_Load = true;
SF_TargetofTarget_Locked = true;
SF_Castbar_Ownership = true;
SF_AchievementFrame_Ownership = true;
SF_Castbar_State = true;
SF_Gryphon_State = true;
SF_XP_Bar_State = true;
SF_Vehicle_Art_State = true;
SF_Bags_State = true;
SF_MicroMenu_State = true;
SF_MainMenuBarTexture_State = false;
SF_ActionPageButtons_State = false;
SF_MainMenuBarGrid_State = true;
SF_Party_Ownership_State = false;
SF_Party_State = true;
SF_Raid_State = false;
SF_EB_1_State = true;
SF_EB_2_State = true;
SF_EB_3_State = true;
SF_EB_Vert_1_State = false;
SF_EB_Vert_2_State = false;
Semi_AB_BL_State = true;
Semi_AB_BR_State = true;

Semi_Player_Scale = 1.0;
Semi_RuneFrame_Scale = 1.0;
Semi_Pet_Scale = 1.0;
Semi_Target_Scale = 1.0;
Semi_ToT_Scale = 1.0;
Semi_AllBars_Scale = 1.0;
Semi_MicroMenuButtons_Scale = 1.0;
Semi_VehicleBar_Scale = 0.75;
Semi_PetBattleFrame_Scale = 0.8;
Semi_PetBar_Scale = 1.0;
Semi_TotemBar_Scale = 1.0;
Semi_ChakraBar_Scale = 0.8;
Semi_Support_PlayerXPBar_Scale = 1.0;
Semi_PartyFrame_Scale = 1.0;
Semi_FocusFrame_Scale = 1.0;
Semi_BossTargetFrame_Scale = 1.0;
Semi_GroupLootFrame_Scale = 1.0;
Semi_FrameNames_Scale = 1.0;
Semi_CalendarFrame_Scale = 1.0;
Semi_WorldMapFrame_Scale = 1.0;

local Semiclass = UnitClass("player");
local Semilevel = UnitLevel("player");
local SemiMaxLevel = MAX_PLAYER_LEVEL;
local SemiMicroMenuButtons = {			--12 Buttons
	CharacterMicroButton,
	SpellbookMicroButton,
	TalentMicroButton,
	AchievementMicroButton,
	QuestLogMicroButton,
	GuildMicroButton,
	PVPMicroButton,
	LFDMicroButton,
	CompanionsMicroButton,
	EJMicroButton,
	MainMenuMicroButton,
	StoreMicroButton
	--HelpMicroButton
};

local Semi_Vehicle_Texture = {
	OverrideActionBarBG,		--16 items to hide
	OverrideActionBarEndCapL,
	OverrideActionBarEndCapR,
	OverrideActionBarPowerBarOverlay,
	OverrideActionBarHealthBarOverlay,
	OverrideActionBarMicroBGL,
	OverrideActionBarMicroBGR,
	OverrideActionBarMicroBGMid,
	OverrideActionBarBorder,
	OverrideActionBarButtonBGL,
	OverrideActionBarButtonBGR,
	OverrideActionBarButtonBGMid,
	OverrideActionBar.Divider1,
	OverrideActionBar.Divider2,
	OverrideActionBar.Divider3,
	OverrideActionBar.ExitBG
};

function Semi_Core_OnLoad()
		--Setting Inital Text for Menu
	Semi_CoreOptionsTitle:SetText(Semi_Core_String_Version);
	if (SF_Bags_State) then
		Semi_CoreOptionsCheckButton1Text:SetText(Semi_Core_String_CB1a);
	elseif (not SF_Bags_State) then
		Semi_CoreOptionsCheckButton1Text:SetText(Semi_Core_String_CB1b);
	end
	if (SF_MicroMenu_State) then
		Semi_CoreOptionsCheckButton2Text:SetText(Semi_Core_String_CB2a);
	elseif (not SF_MicroMenu_State) then
		Semi_CoreOptionsCheckButton2Text:SetText(Semi_Core_String_CB2b);
	end
	if (SF_MainMenuBarTexture_State) then
		Semi_CoreOptionsCheckButton12Text:SetText(Semi_Core_String_CB12a);
	elseif (not SF_MainMenuBarTexture_State) then
		Semi_CoreOptionsCheckButton12Text:SetText(Semi_Core_String_CB12b);
	end
	if (SF_ActionPageButtons_State) then
		Semi_CoreOptionsCheckButton13Text:SetText(Semi_Core_String_CB13a);
	elseif (not SF_ActionPageButtons_State) then
		Semi_CoreOptionsCheckButton13Text:SetText(Semi_Core_String_CB13b);
	end
	if (SF_MainMenuBarGrid_State) then
		Semi_CoreOptionsCheckButton16Text:SetText(Semi_Core_String_CB16a);
	elseif (not SF_MainMenuBarGrid_State) then
		Semi_CoreOptionsCheckButton16Text:SetText(Semi_Core_String_CB16b);
	end
	if (SF_Party_Ownership_State) then
		Semi_CoreOptionsCheckButton23Text:SetText(Semi_Core_String_CB23a);
		if (SF_Party_State) then
			Semi_CoreOptionsCheckButton3Text:SetText(Semi_Core_String_CB3a);
		elseif (not SF_Party_State) then
			Semi_CoreOptionsCheckButton3Text:SetText(Semi_Core_String_CB3b);
		end
		if (SF_Raid_State) then
			Semi_CoreOptionsCheckButton11Text:SetText(Semi_Core_String_CB11a);
		elseif (not SF_Raid_State) then
			Semi_CoreOptionsCheckButton11Text:SetText(Semi_Core_String_CB11b);
		end
	elseif (not SF_Party_Ownership_State)then
		Semi_CoreOptionsCheckButton23Text:SetText(Semi_Core_String_CB23b);
		Semi_CoreOptionsCheckButton3Text:SetText(Semi_Core_String_CB3c);
		Semi_CoreOptionsCheckButton11Text:SetText(Semi_Core_String_CB11c);
	end
	
	if (SF_Castbar_Ownership) then
		Semi_CoreOptionsCheckButton18Text:SetText(Semi_Core_String_CB18a);
		if (SF_Castbar_State) then
			Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4a);
		elseif (not SF_Castbar_State) then
			Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4b);
		end
	elseif (not SF_Castbar_Ownership) then
		Semi_CoreOptionsCheckButton18Text:SetText(Semi_Core_String_CB18b);
		Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4c);
		--Semi_CoreOptionsCheckButton4:Disable();
	end
	
	if (SF_AchievementFrame_Ownership) then
		Semi_CoreOptionsCheckButton19Text:SetText(Semi_Core_String_CB19a);
	elseif (not SF_AchievementFrame_Ownership) then
		Semi_CoreOptionsCheckButton19Text:SetText(Semi_Core_String_CB19b);
	end
	
	if (SF_Vehicle_Art_State) then
		Semi_CoreOptionsCheckButton20Text:SetText(Semi_Core_String_CB20a);
	elseif (not SF_Vehicle_Art_State) then
		Semi_CoreOptionsCheckButton20Text:SetText(Semi_Core_String_CB20b);
	end
	
	if (SF_Gryphon_State) then
		Semi_CoreOptionsCheckButton5Text:SetText(Semi_Core_String_CB5a);
	elseif (not SF_Gryphon_State) then
		Semi_CoreOptionsCheckButton5Text:SetText(Semi_Core_String_CB5b);
	end
	
	if (SF_XP_Bar_State) then
		Semi_CoreOptionsCheckButton17Text:SetText(Semi_Core_String_CB17a);
	elseif (not SF_XP_Bar_State) then
		Semi_CoreOptionsCheckButton17Text:SetText(Semi_Core_String_CB17b);
	end
	Semi_CoreOptionsButton1:SetText(Semi_Core_String_B1);
	
		--Setting Inital Text for Modules Menu
	Semi_CoreOptions_ModsTitle:SetText(Semi_Core_Mods_String_Title);
	Semi_CoreOptions_ModsCheckButton1Text:SetText(Semi_Core_Mods_String_CB1a);
	Semi_CoreOptions_ModsCheckButton2Text:SetText(Semi_Core_Mods_String_CB2a);
	Semi_CoreOptions_ModsCheckButton3Text:SetText(Semi_Core_Mods_String_CB3a);
	Semi_CoreOptions_ModsCheckButton4Text:SetText(Semi_Core_Mods_String_CB4a);
	Semi_CoreOptions_ModsCheckButton5Text:SetText(Semi_Core_Mods_String_CB5a);
	Semi_CoreOptions_ModsCheckButton6Text:SetText(Semi_Core_Mods_String_CB6a);
	Semi_CoreOptions_ModsCheckButton7Text:SetText(Semi_Core_Mods_String_CB7a);
	Semi_CoreOptions_ModsCheckButton8Text:SetText(Semi_Core_Mods_String_CB8a);
	Semi_CoreOptions_ModsCheckButton9Text:SetText(Semi_Core_Mods_String_CB9a);
	Semi_CoreOptions_ModsCheckButton10Text:SetText(Semi_Core_Mods_String_CB10a);
	Semi_CoreOptions_ModsButton1:SetText(Semi_Core_Mods_String_B1);
end

function Semi_CoreOptions_OnLoad(self)
	panel = Semi_CoreOptions;	
	panel.name = "Main Menu";
	panel.parent = "Semi";
	InterfaceOptions_AddCategory(panel);
end

function Semi_InterfaceParent_Frame_OnLoad(self)
	panel = Semi_InterfaceParent_Frame;
	panel.name = "Semi";
	Semi_InterfaceParent_FrameTitle:SetText("|cffffffffSemi");
	Semi_InterfaceParent_FrameInfo:SetText(Semi_Interface_Info_Text);
	Semi_InterfaceParent_FrameInfo2:SetText(Semi_Interface_Info2_Text);
	
	if SF_MiniMapChoice_Load then
		Semi_InterfaceParent_FrameCheckButtonMiniMapChoiceText:SetText(Semi_MiniMap_Choice_Yes);
		
	elseif (not SF_MiniMapChoice_Load) then
		Semi_InterfaceParent_FrameCheckButtonMiniMapChoiceText:SetText(Semi_MiniMap_Choice_No);
	end
	Semi_InterfaceParent_FrameButtonFix:SetText(Semi_Core_String_B3);
	InterfaceOptions_AddCategory(panel);
end

function Semi_InterfaceParent_Frame_OnShow(self)
	Semi_InterfaceParent_FrameCheckButtonMiniMapChoice:SetChecked(SF_MiniMapChoice_Load);
	if (not IsAddOnLoaded("Semi_Extra_Scaling")) then
		_G[self:GetName().."Info2"]:SetText("");
	end
	if (not IsAddOnLoaded("Semi_Action_Bars")) then
		_G[self:GetName().."ButtonFix"]:Disable();
		_G[self:GetName().."ButtonFix"]:Hide();
	end
end

function Semi_CoreOptions_OnShow(self)
	if (IsAddOnLoaded("Semi_Action_Bars")) then
		if (SF_Bags_State) then
			Semi_CoreOptionsCheckButton1:SetChecked(true);
			Semi_CoreOptionsCheckButton1Text:SetText(Semi_Core_String_CB1a);
		end
		if (not SF_Bags_State) then
			Semi_CoreOptionsCheckButton1:SetChecked(false);
			Semi_CoreOptionsCheckButton1Text:SetText(Semi_Core_String_CB1b);
		end
		if (SF_MicroMenu_State) then
			Semi_CoreOptionsCheckButton2:SetChecked(true);
			Semi_CoreOptionsCheckButton2Text:SetText(Semi_Core_String_CB2a);
		end
		if (not SF_MicroMenu_State) then
			Semi_CoreOptionsCheckButton2:SetChecked(false);
			Semi_CoreOptionsCheckButton2Text:SetText(Semi_Core_String_CB2b);
		end
		if (SF_MainMenuBarTexture_State) then
			Semi_CoreOptionsCheckButton12:SetChecked(true);
			Semi_CoreOptionsCheckButton12Text:SetText(Semi_Core_String_CB12a);
		end
		if (not SF_MainMenuBarTexture_State) then
			Semi_CoreOptionsCheckButton12:SetChecked(false);
			Semi_CoreOptionsCheckButton12Text:SetText(Semi_Core_String_CB12b);
		end
		
		if (SF_ActionPageButtons_State) then
			Semi_CoreOptionsCheckButton13:SetChecked(true);
			Semi_CoreOptionsCheckButton13Text:SetText(Semi_Core_String_CB13a);
		end
		if (not SF_ActionPageButtons_State) then
			Semi_CoreOptionsCheckButton13:SetChecked(false);
			Semi_CoreOptionsCheckButton13Text:SetText(Semi_Core_String_CB13b);
		end
		if (SF_MainMenuBarGrid_State) then
			Semi_CoreOptionsCheckButton16:SetChecked(true);
			Semi_CoreOptionsCheckButton16Text:SetText(Semi_Core_String_CB16a);
		end
		if (not SF_MainMenuBarGrid_State) then
			Semi_CoreOptionsCheckButton16:SetChecked(false);
			Semi_CoreOptionsCheckButton16Text:SetText(Semi_Core_String_CB16b);
		end
		if (Semi_AB_BL_State) then
			Semi_CoreOptionsCheckButton_AB_BottomLeft:SetChecked(true);
			Semi_CoreOptionsCheckButton_AB_BottomLeftText:SetText(Semi_Core_String_CB21a);
		end
		if (not Semi_AB_BL_State) then
			Semi_CoreOptionsCheckButton_AB_BottomLeft:SetChecked(false);
			Semi_CoreOptionsCheckButton_AB_BottomLeftText:SetText(Semi_Core_String_CB21b);
		end
		if (Semi_AB_BR_State) then
			Semi_CoreOptionsCheckButton_AB_BottomRight:SetChecked(true);
			Semi_CoreOptionsCheckButton_AB_BottomRightText:SetText(Semi_Core_String_CB22a);
		end
		if (not Semi_AB_BR_State) then
			Semi_CoreOptionsCheckButton_AB_BottomRight:SetChecked(false);
			Semi_CoreOptionsCheckButton_AB_BottomRightText:SetText(Semi_Core_String_CB22b);
		end
	end
	if (SF_Party_Ownership_State) then
		Semi_CoreOptionsCheckButton23:SetChecked(true);
		Semi_CoreOptionsCheckButton23Text:SetText(Semi_Core_String_CB23a);
		if (SF_Party_State) then
			Semi_CoreOptionsCheckButton3:SetChecked(true);
			Semi_CoreOptionsCheckButton3Text:SetText(Semi_Core_String_CB3a);
		elseif (not SF_Party_State) then
			Semi_CoreOptionsCheckButton3:SetChecked(false);
			Semi_CoreOptionsCheckButton3Text:SetText(Semi_Core_String_CB3b);
		end
		if (SF_Raid_State) then
			Semi_CoreOptionsCheckButton11:SetChecked(true);
			Semi_CoreOptionsCheckButton11Text:SetText(Semi_Core_String_CB11a);
		elseif (not SF_Raid_State) then
			Semi_CoreOptionsCheckButton11:SetChecked(false);
			Semi_CoreOptionsCheckButton11Text:SetText(Semi_Core_String_CB11b);
		end
	elseif (not SF_Party_Ownership_State) then
		Semi_CoreOptionsCheckButton23:SetChecked(false);
		Semi_CoreOptionsCheckButton23Text:SetText(Semi_Core_String_CB23b);
		Semi_CoreOptionsCheckButton3:SetChecked(false);
		Semi_CoreOptionsCheckButton3Text:SetText(Semi_Core_String_CB3c);
		Semi_CoreOptionsCheckButton3:Disable();
		Semi_CoreOptionsCheckButton11:SetChecked(false);
		Semi_CoreOptionsCheckButton11:SetText(Semi_Core_String_CB11c);
		Semi_CoreOptionsCheckButton11:Disable();
	end
	if (not IsAddOnLoaded("Semi_Action_Bars")) then
			Semi_CoreOptionsCheckButton1:Disable();
			Semi_CoreOptionsCheckButton1:Hide();
			Semi_CoreOptionsCheckButton2:Disable();
			Semi_CoreOptionsCheckButton2:Hide();
			Semi_CoreOptionsCheckButton12:Disable();
			Semi_CoreOptionsCheckButton12:Hide();
			Semi_CoreOptionsCheckButton13:Disable();
			Semi_CoreOptionsCheckButton13:Hide();
			Semi_CoreOptionsCheckButton16:Disable();
			Semi_CoreOptionsCheckButton16:Hide();
			Semi_CoreOptionsCheckButton_AB_BottomLeft:Disable();
			Semi_CoreOptionsCheckButton_AB_BottomLeft:Hide();
			Semi_CoreOptionsCheckButton_AB_BottomRight:Disable();
			Semi_CoreOptionsCheckButton_AB_BottomRight:Hide();
			Semi_CoreOptionsCheckButton23:ClearAllPoints();
			Semi_CoreOptionsCheckButton23:SetPoint("TOPLEFT", Semi_CoreOptions, "TOPLEFT", 30, -35);
	end		
	if (SF_Castbar_Ownership) then
		Semi_CoreOptionsCheckButton18:SetChecked(true);
		Semi_CoreOptionsCheckButton18Text:SetText(Semi_Core_String_CB18a);
		if (SF_Castbar_State) then
			Semi_CoreOptionsCheckButton4:SetChecked(true);
			Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4a);
		else
			Semi_CoreOptionsCheckButton4:SetChecked(false);
			Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4b);
		end
	elseif (not SF_Castbar_Ownership) then
		Semi_CoreOptionsCheckButton18:SetChecked(false);
		Semi_CoreOptionsCheckButton18Text:SetText(Semi_Core_String_CB18b);
		Semi_CoreOptionsCheckButton4:SetChecked(false);
		Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4c);
		Semi_CoreOptionsCheckButton4:Disable();
		
	end
	
	if (SF_AchievementFrame_Ownership) then
		Semi_CoreOptionsCheckButton19:SetChecked(true);
		Semi_CoreOptionsCheckButton19Text:SetText(Semi_Core_String_CB19a);
	elseif (not SF_AchievementFrame_Ownership) then
		Semi_CoreOptionsCheckButton19:SetChecked(false);
		Semi_CoreOptionsCheckButton19Text:SetText(Semi_Core_String_CB19b);
	end
	
	if (SF_Vehicle_Art_State) then
		Semi_CoreOptionsCheckButton20:SetChecked(true);
		Semi_CoreOptionsCheckButton20Text:SetText(Semi_Core_String_CB20a);
	elseif (not SF_Vehicle_Art_State) then
		Semi_CoreOptionsCheckButton20:SetChecked(false);
		Semi_CoreOptionsCheckButton20Text:SetText(Semi_Core_String_CB20b);
	end
	
	if (SF_Gryphon_State) then
		Semi_CoreOptionsCheckButton5:SetChecked(true);
		Semi_CoreOptionsCheckButton5Text:SetText(Semi_Core_String_CB5a);
	elseif (not SF_Gryphon_State) then
		Semi_CoreOptionsCheckButton5:SetChecked(false);
		Semi_CoreOptionsCheckButton5Text:SetText(Semi_Core_String_CB5b);
	end
	if (SF_XP_Bar_State) then
		Semi_CoreOptionsCheckButton17:SetChecked(true);
		Semi_CoreOptionsCheckButton17Text:SetText(Semi_Core_String_CB17a);
	elseif (not SF_XP_Bar_State) then
		Semi_CoreOptionsCheckButton17:SetChecked(false);
		Semi_CoreOptionsCheckButton17Text:SetText(Semi_Core_String_CB17b);
	end
	if (IsAddOnLoaded("Semi_Extra_Bars")) then
		if (not IsAddOnLoaded("Semi_Action_Bars")) then
			Semi_CoreOptionsCheckButton6:ClearAllPoints();
			Semi_CoreOptionsCheckButton6:SetPoint("TOPLEFT", Semi_CoreOptionsCheckButton19, "BOTTOMLEFT", 0, 0);
		end
		SF_EB_Vehicle_Alpha_State = Semi_Show_Bars_In_Vehicle;
		
		Semi_CoreOptionsCheckButton6:SetChecked(SF_EB_1_State);
		if (SF_EB_1_State) then 
			Semi_CoreOptionsCheckButton6Text:SetText(Semi_Core_String_CB6a);
		end
		if (not SF_EB_1_State) then
			Semi_CoreOptionsCheckButton6Text:SetText(Semi_Core_String_CB6b);
		end
		
		Semi_CoreOptionsCheckButton7:SetChecked(SF_EB_2_State);
		if (SF_EB_2_State) then
			Semi_CoreOptionsCheckButton7Text:SetText(Semi_Core_String_CB7a);
		end
		if (not SF_EB_2_State) then
			Semi_CoreOptionsCheckButton7Text:SetText(Semi_Core_String_CB7b);
		end
		
		Semi_CoreOptionsCheckButton8:SetChecked(SF_EB_3_State);
		if (SF_EB_3_State) then
			Semi_CoreOptionsCheckButton8Text:SetText(Semi_Core_String_CB8a);
		end
		if (not SF_EB_3_State) then
			Semi_CoreOptionsCheckButton8Text:SetText(Semi_Core_String_CB8b);
		end
		
		Semi_CoreOptionsCheckButton9:SetChecked(Semi_Grid);
		if (Semi_Grid) then
			Semi_CoreOptionsCheckButton9Text:SetText(Semi_Core_String_CB9a);
		end
		if (not Semi_Grid) then
			Semi_CoreOptionsCheckButton9Text:SetText(Semi_Core_String_CB9b);
		end
		Semi_CoreOptionsCheckButton10:SetChecked(SF_EB_Vehicle_Alpha_State);
		if (SF_EB_Vehicle_Alpha_State) then
			Semi_CoreOptionsCheckButton10Text:SetText(Semi_Core_String_CB10a);
		end
		if (not SF_EB_Vehicle_Alpha_State) then
			Semi_CoreOptionsCheckButton10Text:SetText(Semi_Core_String_CB10b);
		end
		Semi_CoreOptionsCheckButton14:SetChecked(SF_EB_Vert_1_State);
		if (SF_EB_Vert_1_State) then
			Semi_CoreOptionsCheckButton14Text:SetText(Semi_Core_String_CB14a);
	end
		if (not SF_EB_Vert_1_State) then
			Semi_CoreOptionsCheckButton14Text:SetText(Semi_Core_String_CB14b);
		end
		Semi_CoreOptionsCheckButton15:SetChecked(SF_EB_Vert_2_State);
		if (SF_EB_Vert_2_State) then
			Semi_CoreOptionsCheckButton15Text:SetText(Semi_Core_String_CB15a);
		end
		if (not SF_EB_Vert_2_State) then
			Semi_CoreOptionsCheckButton15Text:SetText(Semi_Core_String_CB15b);
		end
	end
	if (not IsAddOnLoaded("Semi_Extra_Bars")) then
		Semi_CoreOptionsCheckButton6:Disable();
		Semi_CoreOptionsCheckButton6:Hide();
		Semi_CoreOptionsCheckButton7:Disable();
		Semi_CoreOptionsCheckButton7:Hide();
		Semi_CoreOptionsCheckButton8:Disable();
		Semi_CoreOptionsCheckButton8:Hide();
		Semi_CoreOptionsCheckButton9:Disable();
		Semi_CoreOptionsCheckButton9:Hide();
		Semi_CoreOptionsCheckButton10:Disable();
		Semi_CoreOptionsCheckButton10:Hide();
		Semi_CoreOptionsCheckButton14:Disable();
		Semi_CoreOptionsCheckButton14:Hide();
		Semi_CoreOptionsCheckButton15:Disable();
		Semi_CoreOptionsCheckButton15:Hide();
	end
end

function Semi_CoreOptions_Mods_OnLoad(self)
	panel = Semi_CoreOptions_Mods;
	panel.name = "Modules";
	panel.parent = "Semi";
	InterfaceOptions_AddCategory(panel);
end

function Semi_CoreOptions_Mods_OnShow(self)
	if (not IsAddOnLoaded("Semi_Priest_Stance_Bar")) then 
 		_G[self:GetName().."CheckButton1"]:SetChecked(false);
		_G[self:GetName().."CheckButton1Text"]:SetText(Semi_Core_Mods_String_CB1b);
	else 
		Semi_CoreOptions_ModsCheckButton1:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton1Text:SetText(Semi_Core_Mods_String_CB1a);
	end
	if (not IsAddOnLoaded("Semi_Totem_Bar")) then
		Semi_CoreOptions_ModsCheckButton2:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton2Text:SetText(Semi_Core_Mods_String_CB2b);
	else
		Semi_CoreOptions_ModsCheckButton2:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton2Text:SetText(Semi_Core_Mods_String_CB2a);
	end
	if (not IsAddOnLoaded("Semi_TargetofTarget_Frame")) then
		Semi_CoreOptions_ModsCheckButton3:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton3Text:SetText(Semi_Core_Mods_String_CB3b);
	else
		Semi_CoreOptions_ModsCheckButton3:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton3Text:SetText(Semi_Core_Mods_String_CB3a);
	end
	if (not IsAddOnLoaded("Semi_ClassIcons_Portrait")) then
		Semi_CoreOptions_ModsCheckButton4:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton4Text:SetText(Semi_Core_Mods_String_CB4b);
	else
		Semi_CoreOptions_ModsCheckButton4:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton4Text:SetText(Semi_Core_Mods_String_CB4a);
	end
	if (not IsAddOnLoaded("Semi_Action_Bars")) then
		Semi_CoreOptions_ModsCheckButton5:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton5Text:SetText(Semi_Core_Mods_String_CB5b);
	else
		Semi_CoreOptions_ModsCheckButton5:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton5Text:SetText(Semi_Core_Mods_String_CB5a);
	end
	
	if (not IsAddOnLoaded("Semi_Extra_Bars")) then
		Semi_CoreOptions_ModsCheckButton6:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton6Text:SetText(Semi_Core_Mods_String_CB6b);
	else
		Semi_CoreOptions_ModsCheckButton6:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton6Text:SetText(Semi_Core_Mods_String_CB6a);
	end
	
	if (not IsAddOnLoaded("Semi_Pet_Bar")) then
		Semi_CoreOptions_ModsCheckButton7:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton7Text:SetText(Semi_Core_Mods_String_CB7b);
	else
		Semi_CoreOptions_ModsCheckButton7:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton7Text:SetText(Semi_Core_Mods_String_CB7a);
	end
	
	if (not IsAddOnLoaded("Semi_Stance_Bar")) then
		Semi_CoreOptions_ModsCheckButton8:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton8Text:SetText(Semi_Core_Mods_String_CB8b);
	else
		Semi_CoreOptions_ModsCheckButton8:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton8Text:SetText(Semi_Core_Mods_String_CB8a);
	end
	
	if (not IsAddOnLoaded("Semi_GroupLoot_Frame")) then
		Semi_CoreOptions_ModsCheckButton9:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton9Text:SetText(Semi_Core_Mods_String_CB9b);
	else
		Semi_CoreOptions_ModsCheckButton9:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton9Text:SetText(Semi_Core_Mods_String_CB9a);
	end
	
	if (not IsAddOnLoaded("Semi_ClassColor_HealthBar")) then
		Semi_CoreOptions_ModsCheckButton10:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton10Text:SetText(Semi_Core_Mods_String_CB10b);
	else
		Semi_CoreOptions_ModsCheckButton10:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton10Text:SetText(Semi_Core_Mods_String_CB10a);
	end
	
	if (not IsAddOnLoaded("Semi_Extra_Scaling")) then
		Semi_CoreOptions_ModsCheckButton11:SetChecked(false);
		Semi_CoreOptions_ModsCheckButton11Text:SetText(Semi_Core_Mods_String_CB11b);
	else
		Semi_CoreOptions_ModsCheckButton11:SetChecked(true);
		Semi_CoreOptions_ModsCheckButton11Text:SetText(Semi_Core_Mods_String_CB11a);
	end
end

function Semi_ScaleOptions_OnLoad(self)
	panel = Semi_ScaleOptions;
	panel.name = "Scaling";
	panel.parent = "Semi";
	InterfaceOptions_AddCategory(panel);
end

function Semi_ScaleOptions_OnShow(self)
	Semi_ScaleOptionsTitle:SetText(Semi_Scale_String_Title);
	
	Semi_PFSlider();
	Semi_PetFSlider();
	Semi_TFSlider();
	Semi_ToTFSlider();
	Semi_PartyScaleSlider();
	Semi_FocusFrameSlider();
	Semi_All_Bars_Slider();
	Semi_VehicleBar_Slider();
	Semi_PetBattleFrame_Slider();
	
	if IsAddOnLoaded("Semi_Action_Bars") then 
		Semi_MicroMenuButtons_Slider();
		if (CharacterMicroButton:GetParent():GetName()) ~= "MainMenuBarArtFrame" then
			SemiMicroMenuButtonsScaleSlider:Hide();
		end
	end
	if IsAddOnLoaded("Semi_Extra_Scaling") then
		Semi_FrameNames_Slider();
		Semi_CalendarFrame_Slider();
		Semi_WorldMapFrame_Slider();
	end

	Semi_PetBar_Slider();
	Semi_BossTargetFrame_Slider();
	Semi_GroupLootFrame_Slider();

	if (Semiclass == "Shaman") and IsAddOnLoaded("Semi_Totem_Bar") then
		Semi_TotemBar_Slider();
	end
	if (Semiclass == "Priest") and IsAddOnLoaded("Semi_Priest_Stance_Bar") then
		Semi_ChakraBar_Slider();
	end
	if (Semiclass == "Death Knight") then
		Semi_RuneFrame_Slider();
	end
	
	if (IsAddOnLoaded("PlayerXPBar")) then
		Semi_Support_PlayerXPBar_Slider();
	end
end

function Semi_PFSlider()
	CreateFrame("Slider", "PlayerFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	PlayerFrameScaleSlider:ClearAllPoints();
	PlayerFrameScaleSlider:SetPoint("TOPLEFT", Semi_ScaleOptions, "TOPLEFT", 30, -50);
	PlayerFrameScaleSlider:SetMinMaxValues(0.5, 2);
	PlayerFrameScaleSlider:SetValueStep(0.1);
	PlayerFrameScaleSlider:SetValue(Semi_Player_Scale);
	PlayerFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
						new_value = semi_round(value, 1);
						self:SetValue(new_value);
						Semi_Player_Scale_On_Change(new_value);
						GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
						GameTooltip:SetText(new_value);
						_G[PlayerFrameScaleSlider:GetName().."Text"]:SetText("Player Frame:   "..Semi_Player_Scale);
						GameTooltip:Show();
						GameTooltip:FadeOut();
					end)
	_G[PlayerFrameScaleSlider:GetName().."Low"]:SetText("0.5");
	_G[PlayerFrameScaleSlider:GetName().."High"]:SetText("2");
	_G[PlayerFrameScaleSlider:GetName().."Text"]:SetText("Player Frame:   "..Semi_Player_Scale);
	PlayerFrameScaleSlider:Show();
end

function Semi_RuneFrame_Slider()
	CreateFrame("Slider", "RuneFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	RuneFrameScaleSlider:ClearAllPoints();
	RuneFrameScaleSlider:SetPoint("TOPRIGHT", Semi_ScaleOptions, "TOPRIGHT", -30, -150);
	RuneFrameScaleSlider:SetMinMaxValues(0.5, 2);
	RuneFrameScaleSlider:SetValueStep(0.1);
	RuneFrameScaleSlider:SetValue(Semi_RuneFrame_Scale);
	RuneFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
						new_value = semi_round(value, 1);
						self:SetValue(new_value);
						Semi_RuneFrame_Scale_On_Change(new_value);
						GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
						GameTooltip:SetText(new_value);
						_G[RuneFrameScaleSlider:GetName().."Text"]:SetText("Rune Frame:   "..Semi_RuneFrame_Scale);
						GameTooltip:Show();
						GameTooltip:FadeOut();
					end)
	_G[RuneFrameScaleSlider:GetName().."Low"]:SetText("0.5");
	_G[RuneFrameScaleSlider:GetName().."High"]:SetText("2");
	_G[RuneFrameScaleSlider:GetName().."Text"]:SetText("Rune Frame:   "..Semi_RuneFrame_Scale);
	RuneFrameScaleSlider:Show();

end

function Semi_PetFSlider()
	CreateFrame("Slider", "PetFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	PetFrameScaleSlider:ClearAllPoints();
	PetFrameScaleSlider:SetPoint("TOPLEFT", Semi_ScaleOptions, "TOPLEFT", 30, -100);
	PetFrameScaleSlider:SetMinMaxValues(0.5, 2);
	PetFrameScaleSlider:SetValueStep(0.1);
	PetFrameScaleSlider:SetValue(Semi_Pet_Scale);
	PetFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
						new_value = semi_round(value, 1);
						self:SetValue(new_value);
						Semi_Pet_Scale_On_Change(new_value);
						GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
						GameTooltip:SetText(new_value);
						_G[PetFrameScaleSlider:GetName().."Text"]:SetText("Pet Frame:   "..Semi_Pet_Scale);
						GameTooltip:Show();
						GameTooltip:FadeOut();
					end)
	_G[PetFrameScaleSlider:GetName().."Low"]:SetText("0.5");
	_G[PetFrameScaleSlider:GetName().."High"]:SetText("2");
	_G[PetFrameScaleSlider:GetName().."Text"]:SetText("Pet Frame:   "..Semi_Pet_Scale);
	PetFrameScaleSlider:Show();
end

function Semi_TFSlider()
	CreateFrame("Slider", "TargetFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	TargetFrameScaleSlider:ClearAllPoints();
	TargetFrameScaleSlider:SetPoint("TOPLEFT", Semi_ScaleOptions, "TOPLEFT", 30, -150);
	TargetFrameScaleSlider:SetMinMaxValues(0.5, 2);
	TargetFrameScaleSlider:SetValueStep(0.1);
	TargetFrameScaleSlider:SetValue(Semi_Target_Scale);
	TargetFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
						new_value = semi_round(value, 1);
						self:SetValue(new_value);
						Semi_Target_Scale_On_Change(new_value);
						GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
						GameTooltip:SetText(new_value);
						_G[TargetFrameScaleSlider:GetName().."Text"]:SetText("Target Frame:   "..Semi_Target_Scale);
						GameTooltip:Show();
						GameTooltip:FadeOut();
					end)
	_G[TargetFrameScaleSlider:GetName().."Low"]:SetText("0.5");
	_G[TargetFrameScaleSlider:GetName().."High"]:SetText("2");
	_G[TargetFrameScaleSlider:GetName().."Text"]:SetText("Target Frame:   "..Semi_Target_Scale);
	TargetFrameScaleSlider:Show();
end

function Semi_ToTFSlider()
	CreateFrame("Slider", "TargetofTargetFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	TargetofTargetFrameScaleSlider:ClearAllPoints();
	TargetofTargetFrameScaleSlider:SetPoint("TOPLEFT", Semi_ScaleOptions, "TOPLEFT", 30, -200);
	TargetofTargetFrameScaleSlider:SetMinMaxValues(0.25, 3);
	TargetofTargetFrameScaleSlider:SetValueStep(0.05);
	TargetofTargetFrameScaleSlider:SetValue(Semi_ToT_Scale);
	TargetofTargetFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
			new_value = semi_round(value, 2);
			self:SetValue(new_value);
			Semi_ToT_Scale_On_Change(new_value);
			GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
			GameTooltip:SetText(new_value);
			_G[TargetofTargetFrameScaleSlider:GetName().."Text"]:SetText("Target of Target:   "..Semi_ToT_Scale);
			GameTooltip:Show();
			GameTooltip:FadeOut();
			end)
	_G[TargetofTargetFrameScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[TargetofTargetFrameScaleSlider:GetName().."High"]:SetText("3");
	_G[TargetofTargetFrameScaleSlider:GetName().."Text"]:SetText("Target of Target:   "..Semi_ToT_Scale);
	TargetofTargetFrameScaleSlider:Show();
end

function Semi_PartyScaleSlider()
	CreateFrame("Slider", "PartyFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	PartyFrameScaleSlider:ClearAllPoints();
	PartyFrameScaleSlider:SetPoint("TOPLEFT", Semi_ScaleOptions, "TOPLEFT", 30, -250);
	PartyFrameScaleSlider:SetMinMaxValues(0.5, 2);
	PartyFrameScaleSlider:SetValueStep(0.1);
	PartyFrameScaleSlider:SetValue(Semi_PartyFrame_Scale);
	PartyFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
						new_value = semi_round(value, 1);
						self:SetValue(new_value);
						Semi_PartyFrame_Scale_On_Change(new_value);
						GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
						GameTooltip:SetText(new_value);
						_G[PartyFrameScaleSlider:GetName().."Text"]:SetText("Party Frames:  "..Semi_PartyFrame_Scale);
						GameTooltip:Show();
						GameTooltip:FadeOut();
					end)
	_G[PartyFrameScaleSlider:GetName().."Low"]:SetText("0.5");
	_G[PartyFrameScaleSlider:GetName().."High"]:SetText("2");
	_G[PartyFrameScaleSlider:GetName().."Text"]:SetText("Party Frames:  "..Semi_PartyFrame_Scale);
	PartyFrameScaleSlider:Show();
end

function Semi_FocusFrameSlider()
	CreateFrame("Slider", "FocusFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	FocusFrameScaleSlider:ClearAllPoints();
	FocusFrameScaleSlider:SetPoint("TOPLEFT", Semi_ScaleOptions, "TOPLEFT", 30, -300);
	FocusFrameScaleSlider:SetMinMaxValues(0.5, 2);
	FocusFrameScaleSlider:SetValueStep(0.1);
	FocusFrameScaleSlider:SetValue(Semi_FocusFrame_Scale);
	FocusFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
						new_value = semi_round(value, 1);
						self:SetValue(new_value);
						Semi_FocusFrame_Scale_On_Change(new_value);
						GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
						GameTooltip:SetText(new_value);
						_G[FocusFrameScaleSlider:GetName().."Text"]:SetText("Focus Frame:  "..Semi_FocusFrame_Scale);
						GameTooltip:Show();
						GameTooltip:FadeOut();
					end)
	_G[FocusFrameScaleSlider:GetName().."Low"]:SetText("0.5");
	_G[FocusFrameScaleSlider:GetName().."High"]:SetText("2");
	_G[FocusFrameScaleSlider:GetName().."Text"]:SetText("Focus Frame:  "..Semi_FocusFrame_Scale);
	FocusFrameScaleSlider:Show();
	
end

function Semi_BossTargetFrame_Slider()
	CreateFrame("Slider", "BossTargetFramesScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	BossTargetFramesScaleSlider:ClearAllPoints();
	BossTargetFramesScaleSlider:SetPoint("TOPLEFT", Semi_ScaleOptions, "TOPLEFT", 30, -400);
	BossTargetFramesScaleSlider:SetMinMaxValues(0.25, 2);
	BossTargetFramesScaleSlider:SetValueStep(0.05);
	BossTargetFramesScaleSlider:SetValue(Semi_BossTargetFrame_Scale);
	BossTargetFramesScaleSlider:SetScript("OnValueChanged", function (self, value)
							new_value = semi_round(value, 2);
							self:SetValue(new_value);
							Semi_BossTargetFrames_Scale_On_Change(new_value);
							GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
							GameTooltip:SetText(new_value);
							_G[BossTargetFramesScaleSlider:GetName().."Text"]:SetText("Boss Frames: "..Semi_BossTargetFrame_Scale);
							GameTooltip:Show();
							GameTooltip:FadeOut();
						end)
	_G[BossTargetFramesScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[BossTargetFramesScaleSlider:GetName().."High"]:SetText("2");
	_G[BossTargetFramesScaleSlider:GetName().."Text"]:SetText("Boss Frames: "..Semi_BossTargetFrame_Scale);
	BossTargetFramesScaleSlider:Show();
end

function Semi_GroupLootFrame_Slider()
	CreateFrame("Slider", "GroupLootFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	GroupLootFrameScaleSlider:ClearAllPoints();
	GroupLootFrameScaleSlider:SetPoint("TOPLEFT", Semi_ScaleOptions, "TOPLEFT", 30, -350);
	GroupLootFrameScaleSlider:SetMinMaxValues(0.25, 2);
	GroupLootFrameScaleSlider:SetValueStep(0.05);
	GroupLootFrameScaleSlider:SetValue(Semi_GroupLootFrame_Scale);
	GroupLootFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
							new_value = semi_round(value, 2);
							self:SetValue(new_value);
							Semi_GroupLootFrame_Scale_On_Change(new_value);
							GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
							GameTooltip:SetText(new_value);
							_G[GroupLootFrameScaleSlider:GetName().."Text"]:SetText("GroupLoot Frame: "..Semi_GroupLootFrame_Scale);
							GameTooltip:Show();
							GameTooltip:FadeOut();
						end)
	_G[GroupLootFrameScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[GroupLootFrameScaleSlider:GetName().."High"]:SetText("2");
	_G[GroupLootFrameScaleSlider:GetName().."Text"]:SetText("GroupLoot Frame: "..Semi_GroupLootFrame_Scale);
	GroupLootFrameScaleSlider:Show();
end

function Semi_All_Bars_Slider()
	CreateFrame("Slider", "AllActionBarsScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	AllActionBarsScaleSlider:ClearAllPoints();
	AllActionBarsScaleSlider:SetPoint("TOPRIGHT", Semi_ScaleOptions, "TOPRIGHT", -30, -50);
	AllActionBarsScaleSlider:SetMinMaxValues(0.25, 2.5);
	AllActionBarsScaleSlider:SetValueStep(0.05);
	AllActionBarsScaleSlider:SetValue(Semi_AllBars_Scale);
	AllActionBarsScaleSlider:SetScript("OnValueChanged", function (self, value)
								new_value = semi_round(value, 2);
								self:SetValue(new_value);
								Semi_All_Bars_Scale_On_Change(new_value);
								GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
								GameTooltip:SetText(new_value);
								_G[AllActionBarsScaleSlider:GetName().."Text"]:SetText("All Action Bars:   "..Semi_AllBars_Scale);
								GameTooltip:Show();
								GameTooltip:FadeOut();
							end)
	_G[AllActionBarsScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[AllActionBarsScaleSlider:GetName().."High"]:SetText("2.5");
	_G[AllActionBarsScaleSlider:GetName().."Text"]:SetText("All Action Bars:   "..Semi_AllBars_Scale);
	AllActionBarsScaleSlider:Show();
end

function Semi_MicroMenuButtons_Slider()
	CreateFrame("Slider", "SemiMicroMenuButtonsScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	SemiMicroMenuButtonsScaleSlider:ClearAllPoints();
	SemiMicroMenuButtonsScaleSlider:SetPoint("TOP", Semi_ScaleOptions, "TOP", 0, -150);
	SemiMicroMenuButtonsScaleSlider:SetMinMaxValues(0.25, 2.5);
	SemiMicroMenuButtonsScaleSlider:SetValueStep(0.05);
	SemiMicroMenuButtonsScaleSlider:SetValue(Semi_MicroMenuButtons_Scale);
	SemiMicroMenuButtonsScaleSlider:SetScript("OnValueChanged", function (self, value)
									new_value = semi_round(value, 2);
									self:SetValue(new_value);
									Semi_MicroMenuButtons_Scale_On_Change(new_value);
									GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
									GameTooltip:SetText(new_value);
									_G[SemiMicroMenuButtonsScaleSlider:GetName().."Text"]:SetText("Micro Buttons:  "..Semi_MicroMenuButtons_Scale);
									GameTooltip:Show();
									GameTooltip:FadeOut();
								end)
	_G[SemiMicroMenuButtonsScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[SemiMicroMenuButtonsScaleSlider:GetName().."High"]:SetText("2.5");
	_G[SemiMicroMenuButtonsScaleSlider:GetName().."Text"]:SetText("Micro Buttons:  "..Semi_MicroMenuButtons_Scale);
	SemiMicroMenuButtonsScaleSlider:Show();
end

function Semi_VehicleBar_Slider()
	CreateFrame("Slider", "VehicleBarScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	VehicleBarScaleSlider:ClearAllPoints();
	VehicleBarScaleSlider:SetPoint("TOP", Semi_ScaleOptions, "TOP", 0, -50);
	VehicleBarScaleSlider:SetMinMaxValues(0.15, 2);
	VehicleBarScaleSlider:SetValueStep(0.05);
	VehicleBarScaleSlider:SetValue(Semi_VehicleBar_Scale);
	VehicleBarScaleSlider:SetScript("OnValueChanged", function (self, value)
									new_value = semi_round(value, 2);
									self:SetValue(new_value);
									Semi_VehicleBar_Scale_On_Change(new_value);
									GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
									GameTooltip:SetText(new_value);
									_G[VehicleBarScaleSlider:GetName().."Text"]:SetText("Vehicle Bar:  "..Semi_VehicleBar_Scale);
									GameTooltip:Show();
									GameTooltip:FadeOut();
								end)
	_G[VehicleBarScaleSlider:GetName().."Low"]:SetText("0.15");
	_G[VehicleBarScaleSlider:GetName().."High"]:SetText("2");
	_G[VehicleBarScaleSlider:GetName().."Text"]:SetText("Vehicle Bar:  "..Semi_VehicleBar_Scale);
	VehicleBarScaleSlider:Show();
end

function Semi_PetBattleFrame_Slider()
	CreateFrame("Slider", "PetBattleFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	PetBattleFrameScaleSlider:ClearAllPoints();
	PetBattleFrameScaleSlider:SetPoint("TOP", Semi_ScaleOptions, "TOP", 0, -100);
	PetBattleFrameScaleSlider:SetMinMaxValues(0.15, 2);
	PetBattleFrameScaleSlider:SetValueStep(0.05);
	PetBattleFrameScaleSlider:SetValue(Semi_PetBattleFrame_Scale);
	PetBattleFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
									new_value = semi_round(value, 2);
									self:SetValue(new_value);
									Semi_PetBattleFrame_Scale_On_Change(new_value);
									GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
									GameTooltip:SetText(new_value);
									_G[PetBattleFrameScaleSlider:GetName().."Text"]:SetText("Pet Battle:  "..Semi_PetBattleFrame_Scale);
									GameTooltip:Show();
									GameTooltip:FadeOut();
								end)
	_G[PetBattleFrameScaleSlider:GetName().."Low"]:SetText("0.15");
	_G[PetBattleFrameScaleSlider:GetName().."High"]:SetText("2");
	_G[PetBattleFrameScaleSlider:GetName().."Text"]:SetText("Pet Battle :  "..Semi_PetBattleFrame_Scale);
	PetBattleFrameScaleSlider:Show();
end

function Semi_PetBar_Slider()
	CreateFrame("Slider", "PetBarScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	PetBarScaleSlider:ClearAllPoints();
	PetBarScaleSlider:SetPoint("TOPRIGHT", Semi_ScaleOptions, "TOPRIGHT", -30, -100);
	PetBarScaleSlider:SetMinMaxValues(0.25, 2);
	PetBarScaleSlider:SetValueStep(0.05);
	PetBarScaleSlider:SetValue(Semi_PetBar_Scale);
	PetBarScaleSlider:SetScript("OnValueChanged", function (self, value)
		new_value = semi_round(value, 2);
		self:SetValue(new_value);
		Semi_PetBar_Scale_On_Change(new_value);
		GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
		GameTooltip:SetText(new_value);
		_G[PetBarScaleSlider:GetName().."Text"]:SetText("Pet Bar:   "..Semi_PetBar_Scale);
		GameTooltip:Show();
		GameTooltip:FadeOut();
		end)
	_G[PetBarScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[PetBarScaleSlider:GetName().."High"]:SetText("2");
	_G[PetBarScaleSlider:GetName().."Text"]:SetText("Pet Bar:   "..Semi_PetBar_Scale);
	PetBarScaleSlider:Show();
end

function Semi_TotemBar_Slider()
	CreateFrame("Slider", "TotemBarScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	TotemBarScaleSlider:ClearAllPoints();
	TotemBarScaleSlider:SetPoint("TOPRIGHT", Semi_ScaleOptions, "TOPRIGHT", -30, -150);
	TotemBarScaleSlider:SetMinMaxValues(0.25, 2);
	TotemBarScaleSlider:SetValueStep(0.05);
	TotemBarScaleSlider:SetValue(Semi_TotemBar_Scale);
	TotemBarScaleSlider:SetScript("OnValueChanged", function (self, value)
							new_value = semi_round(value, 2);
							self:SetValue(new_value);
							Semi_TotemBar_Scale_On_Change(new_value);
							GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
							GameTooltip:SetText(new_value);
							_G[TotemBarScaleSlider:GetName().."Text"]:SetText("Totem Bar:   "..Semi_TotemBar_Scale);
							GameTooltip:Show();
							GameTooltip:FadeOut();
						end)
	_G[TotemBarScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[TotemBarScaleSlider:GetName().."High"]:SetText("2");
	_G[TotemBarScaleSlider:GetName().."Text"]:SetText("Totem Bar:   "..Semi_TotemBar_Scale);
	TotemBarScaleSlider:Show();
end

function Semi_ChakraBar_Slider()
	CreateFrame("Slider", "ChakraBarScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	ChakraBarScaleSlider:ClearAllPoints();
	ChakraBarScaleSlider:SetPoint("TOPRIGHT", Semi_ScaleOptions, "TOPRIGHT", -30, -150);
	ChakraBarScaleSlider:SetMinMaxValues(0.25, 2);
	ChakraBarScaleSlider:SetValueStep(0.05);
	ChakraBarScaleSlider:SetValue(Semi_ChakraBar_Scale);
	ChakraBarScaleSlider:SetScript("OnValueChanged", function (self, value)
							new_value = semi_round(value, 2);
							self:SetValue(new_value);
							Semi_ChakraBar_Scale_On_Change(new_value);
							GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
							GameTooltip:SetText(new_value);
							_G[ChakraBarScaleSlider:GetName().."Text"]:SetText("Chakra Bar:   "..Semi_ChakraBar_Scale);
							GameTooltip:Show();
							GameTooltip:FadeOut();
						end)
	_G[ChakraBarScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[ChakraBarScaleSlider:GetName().."High"]:SetText("2");
	_G[ChakraBarScaleSlider:GetName().."Text"]:SetText("Chakra Bar:   "..Semi_ChakraBar_Scale);
	ChakraBarScaleSlider:Show();
end

function Semi_Support_PlayerXPBar_Slider()
	CreateFrame("Slider", "SemiSupportPlayerXPBarSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	SemiSupportPlayerXPBarSlider:ClearAllPoints();
	if (Semiclass == "Shaman" and IsAddOnLoaded("Semi_Totem_Bar")) or (Semiclass == "Priest" and IsAddOnLoaded("Semi_Priest_Stance_Bar")) or (Semiclass == "Death Knight") then
		SemiSupportPlayerXPBarSlider:SetPoint("TOPRIGHT", Semi_ScaleOptions, "TOPRIGHT", -30, -200);
	else
		SemiSupportPlayerXPBarSlider:SetPoint("TOPRIGHT", Semi_ScaleOptions, "TOPRIGHT", -30, -150);
	end
	SemiSupportPlayerXPBarSlider:SetMinMaxValues(0.5, 2);
	SemiSupportPlayerXPBarSlider:SetValueStep(0.1);
	SemiSupportPlayerXPBarSlider:SetValue(Semi_Support_PlayerXPBar_Scale);
	SemiSupportPlayerXPBarSlider:SetScript("OnValueChanged", function (self, value)
									new_value = semi_round(value, 1);
									self:SetValue(new_value);
									Semi_Support_PlayerXPBar_Scale_On_Change(new_value);
									GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
									GameTooltip:SetText(new_value);
									_G[SemiSupportPlayerXPBarSlider:GetName().."Text"]:SetText("PlayerXPBar: "..Semi_Support_PlayerXPBar_Scale);
									GameTooltip:Show();
									GameTooltip:FadeOut();
								end)
	_G[SemiSupportPlayerXPBarSlider:GetName().."Low"]:SetText("0.5");
	_G[SemiSupportPlayerXPBarSlider:GetName().."High"]:SetText("2");
	_G[SemiSupportPlayerXPBarSlider:GetName().."Text"]:SetText("PlayerXPBar: "..Semi_Support_PlayerXPBar_Scale);
	SemiSupportPlayerXPBarSlider:Show();
end

function Semi_Player_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_Player_Scale = PassedValueFromSliderOrEvent;
	PlayerFrame:SetScale(Semi_Player_Scale);
	if (Semiclass == "Death Knight") then
			--RuneFrame:ClearAllPoints();
			RuneFrame:SetScale(Semi_RuneFrame_Scale);
			RuneFrame:SetPoint("BOTTOM", "PlayerFrame", "BOTTOM", 0, -10);
	end
end	

function Semi_RuneFrame_Scale_On_Change(PassedValueFromSlider)
	Semi_RuneFrame_Scale = PassedValueFromSlider;
	RuneFrame:SetScale(Semi_RuneFrame_Scale);
	RuneFrame:SetPoint("BOTTOM", "PlayerFrame", "BOTTOM", 0, -10);
end

function Semi_Pet_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_Pet_Scale = PassedValueFromSliderOrEvent;
	PetFrame:SetScale(Semi_Pet_Scale);
end

function Semi_Target_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_Target_Scale = PassedValueFromSliderOrEvent;
	TargetFrame:SetScale(Semi_Target_Scale);
end

function Semi_ToT_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_ToT_Scale = PassedValueFromSliderOrEvent;
	TargetFrameToT:SetScale(Semi_ToT_Scale);
end

function Semi_PartyFrames_Show()

	--Shows the partymemberframes and allows them to receive events
	PartyMemberFrame1:SetScript("OnEvent", PartyMemberFrame_OnEvent);
	PartyMemberFrame2:SetScript("OnEvent", PartyMemberFrame_OnEvent);
	PartyMemberFrame3:SetScript("OnEvent", PartyMemberFrame_OnEvent);
	PartyMemberFrame4:SetScript("OnEvent", PartyMemberFrame_OnEvent);
	
	ShowPartyFrame(); -- call to blizzard's ShowPartyFrame function
	--[[partymemberstemp = GetNumSubgroupMembers();
	if partymemberstemp > 0 then
		for p = 1, partymemberstemp, 1 do
			_G["PartyMemberFrame"..p]:Show();
		end
	end
	]]--
end

function Semi_PartyFrames_Hide()
	--Hides the PartyMemberFrames and prevents them from receiving events
	PartyMemberFrame1:SetScript("OnEvent", nil);
	--PartyMemberFrame1:UnregisterAllEvents();
	--PartyMemberFrame1:Hide();
	PartyMemberFrame2:SetScript("OnEvent", nil);
	--PartyMemberFrame2:UnregisterAllEvents();
	--PartyMemberFrame2:Hide();
	PartyMemberFrame3:SetScript("OnEvent", nil);
	--PartyMemberFrame3:UnregisterAllEvents();
	--PartyMemberFrame3:Hide();
	PartyMemberFrame4:SetScript("OnEvent", nil);
	--PartyMemberFrame4:UnregisterAllEvents();
	--PartyMemberFrame4:Hide();
	HidePartyFrame(); --call to blizzard's hidepartyframe function
	--for i=1,4 do
	--	_G["PartyMemberFrame"..i]:ClearAllPoints();
	--	_G["PartyMemberFrame"..i]:SetPoint("BOTTOMLEFT", UIParent, "TOPLEFT", -400, 500)
	--end
end

function Semi_PartyFrames_Raid_Choice()
	if (not InCombatLockdown()) then
		if (SF_Party_Ownership_State) and (SF_Raid_State) and (Semiraid) then
			Semi_PartyFrames_Show();
		end
	end
	--Debug Code Follows
	--print("RaidOptionsFrame_UpdatePartyFrames has fired!");
	--Debug Code Ends
end

--This function fires in the raidoptionsframe on load and every time when
--the UIParent calls it on event Group_Roster_Update
--It also fires by pressing ESC or Cancel from the InterfaceOptions Menu
--disabling that event looks the way to go. even thou there might be a tiny problem later on
hooksecurefunc("RaidOptionsFrame_UpdatePartyFrames", Semi_PartyFrames_Raid_Choice);

function Semi_PartyFrame_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_PartyFrame_Scale = PassedValueFromSliderOrEvent;
	PartyMemberFrame1:SetScale(Semi_PartyFrame_Scale);
	PartyMemberFrame2:SetScale(Semi_PartyFrame_Scale);
	PartyMemberFrame3:SetScale(Semi_PartyFrame_Scale);
	PartyMemberFrame4:SetScale(Semi_PartyFrame_Scale);
end

function Semi_FocusFrame_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_FocusFrame_Scale = PassedValueFromSliderOrEvent;
	FocusFrame:SetScale(Semi_FocusFrame_Scale);
end

function Semi_BossTargetFrames_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_BossTargetFrame_Scale = PassedValueFromSliderOrEvent;
	Boss1TargetFrame:SetScale(Semi_BossTargetFrame_Scale);
	Boss2TargetFrame:SetScale(Semi_BossTargetFrame_Scale);
	Boss3TargetFrame:SetScale(Semi_BossTargetFrame_Scale);
	Boss4TargetFrame:SetScale(Semi_BossTargetFrame_Scale);
end

function Semi_GroupLootFrame_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_GroupLootFrame_Scale = PassedValueFromSliderOrEvent;
	GroupLootFrame1:SetScale(Semi_GroupLootFrame_Scale);
	GroupLootFrame2:SetScale(Semi_GroupLootFrame_Scale);
	GroupLootFrame3:SetScale(Semi_GroupLootFrame_Scale);
	GroupLootFrame4:SetScale(Semi_GroupLootFrame_Scale);
end

function Semi_All_Bars_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_AllBars_Scale = PassedValueFromSliderOrEvent;
	MainMenuBar:SetScale(Semi_AllBars_Scale);
	MultiBarRight:SetScale(Semi_AllBars_Scale);
	MultiBarLeft:SetScale(Semi_AllBars_Scale);
	if (IsAddOnLoaded("Semi_Extra_Bars")) then
		Semi_EB_Bar1:SetScale(Semi_AllBars_Scale);
		Semi_EB_Bar2:SetScale(Semi_AllBars_Scale);
		Semi_EB_Bar3:SetScale(Semi_AllBars_Scale);
	end
end

function Semi_MicroMenuButtons_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_MicroMenuButtons_Scale = PassedValueFromSliderOrEvent;
		for i=1,12 do
			SemiMicroMenuButtons[i]:SetScale(Semi_MicroMenuButtons_Scale);
		end
end


function Semi_VehicleBar_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_VehicleBar_Scale = PassedValueFromSliderOrEvent;
	OverrideActionBar:SetScale(Semi_VehicleBar_Scale);
end

function Semi_PetBattleFrame_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_PetBattleFrame_Scale = PassedValueFromSliderOrEvent;
	PetBattleFrame:SetScale(Semi_PetBattleFrame_Scale);
end

function Semi_PetBar_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_PetBar_Scale = PassedValueFromSliderOrEvent;
	if (IsAddOnLoaded("Semi_Pet_Bar")) then
		SetPetBarScale(Semi_PetBar_Scale);
	else
		PetActionBarFrame:SetScale(Semi_PetBar_Scale);
	end
end

function Semi_TotemBar_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_TotemBar_Scale = PassedValueFromSliderOrEvent;
	if (Semiclass == "Shaman") and IsAddOnLoaded("Semi_Totem_Bar") then
		Semi_TotemBar:SetScale(Semi_TotemBar_Scale);
		
	end
end

function Semi_ChakraBar_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_ChakraBar_Scale = PassedValueFromSliderOrEvent;
	if (Semiclass == "Priest") and IsAddOnLoaded("Semi_Priest_Stance_Bar") then
		Semi_HolyPriestBar:SetScale(Semi_ChakraBar_Scale);	
	end
end

function Semi_Support_PlayerXPBar_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_Support_PlayerXPBar_Scale = PassedValueFromSliderOrEvent;
	PlayerXPBar:SetScale(Semi_Support_PlayerXPBar_Scale);
end

function semi_round(tempnumber, decimals)
	return (("%%.%df"):format(decimals)):format(tempnumber)
end

function Semi_Bags_Options()
	SF_Bags_State = Semi_CoreOptionsCheckButton1:GetChecked() or false;
	if (SF_Bags_State) then
		ShowSemiBags();
		Semi_CoreOptionsCheckButton1Text:SetText(Semi_Core_String_CB1a);
		Semi_LinkInventoryBagsToDragButton();
	end
	if (not SF_Bags_State) then
		HideSemiBags();
		Semi_CoreOptionsCheckButton1Text:SetText(Semi_Core_String_CB1b);
	end
end

function Semi_MicroMenu_Options()
	SF_MicroMenu_State = Semi_CoreOptionsCheckButton2:GetChecked() or false;
	if (SF_MicroMenu_State) then
		ShowSemiMenu();
		Semi_CoreOptionsCheckButton2Text:SetText(Semi_Core_String_CB2a);
		Semi_LinkMicroMenuToDragButton();
	end
	if (not SF_MicroMenu_State) then
		HideSemiMenu();
		Semi_CoreOptionsCheckButton2Text:SetText(Semi_Core_String_CB2b);
	end
end

function Semi_MainMenuArtTexture_Options()
	SF_MainMenuBarTexture_State = Semi_CoreOptionsCheckButton12:GetChecked() or false;
	if (SF_MainMenuBarTexture_State) then
		Semi_CoreOptionsCheckButton12Text:SetText(Semi_Core_String_CB12a);
		MainMenuBarTexture0:Show();
		MainMenuBarTexture1:Show();
		if Semilevel == SemiMaxLevel then
			MainMenuMaxLevelBar0:Show();
			MainMenuMaxLevelBar1:Show();
		end
	end
	if (not SF_MainMenuBarTexture_State) then
		Semi_CoreOptionsCheckButton12Text:SetText(Semi_Core_String_CB12b);
		MainMenuBarTexture0:Hide();
		MainMenuBarTexture1:Hide();
		if Semilevel == SemiMaxLevel then
			MainMenuMaxLevelBar0:Hide();
			MainMenuMaxLevelBar1:Hide();
		end
	end
end

function Semi_ActionBarPagingButtons_Options()
	SF_ActionPageButtons_State = Semi_CoreOptionsCheckButton13:GetChecked() or false;
	if (SF_ActionPageButtons_State) then
		Semi_CoreOptionsCheckButton13Text:SetText(Semi_Core_String_CB13a);
		ActionBarUpButton:Show();
		ActionBarDownButton:Show();
	end
	if (not SF_ActionPageButtons_State) then
		Semi_CoreOptionsCheckButton13Text:SetText(Semi_Core_String_CB13b);
		ActionBarUpButton:Hide();
		ActionBarDownButton:Hide();
	end
end

function Semi_MainMenuBarGridChoice_Options()
	SF_MainMenuBarGrid_State = Semi_CoreOptionsCheckButton16:GetChecked() or false;
	if (SF_MainMenuBarGrid_State) then
		Semi_CoreOptionsCheckButton16Text:SetText(Semi_Core_String_CB16a);
	end
	if (not SF_MainMenuBarGrid_State) then
		Semi_CoreOptionsCheckButton16Text:SetText(Semi_Core_String_CB16b);
	end
	Semi_MainMenuBarGridChoice();
end

function Semi_Party_Ownership_Options(self)
	SF_Party_Ownership_State = _G[self:GetName()]:GetChecked() or false;
	if (SF_Party_Ownership_State) then
		UIParent:UnregisterEvent("GROUP_ROSTER_UPDATE");
		_G[self:GetName().."Text"]:SetText(Semi_Core_String_CB23a);
		Semi_CoreOptionsCheckButton3:Enable();
		Semi_CoreOptionsCheckButton3:SetChecked(SF_Party_State);
		Semi_Party_Options();
		Semi_CoreOptionsCheckButton11:Enable();
		Semi_CoreOptionsCheckButton11:SetChecked(SF_Raid_State);
		Semi_Raid_Options();
	end
	if (not SF_Party_Ownership_State) then
		UIParent:RegisterEvent("GROUP_ROSTER_UPDATE");
		_G[self:GetName().."Text"]:SetText(Semi_Core_String_CB23b);
		Semi_CoreOptionsCheckButton3:SetChecked(false);
		Semi_CoreOptionsCheckButton3Text:SetText(Semi_Core_String_CB3c);
		Semi_CoreOptionsCheckButton3:Disable();
		Semi_CoreOptionsCheckButton11:SetChecked(false);
		Semi_CoreOptionsCheckButton11Text:SetText(Semi_Core_String_CB11c);
		Semi_CoreOptionsCheckButton11:Disable();
		
	end
end

function Semi_Party_Options()
	SF_Party_State = Semi_CoreOptionsCheckButton3:GetChecked() or false;
		if (SF_Party_State) then
			--SF_Party_State = true;
			Semi_CoreOptionsCheckButton3Text:SetText(Semi_Core_String_CB3a);
		end
		if (not SF_Party_State) then
			--SF_Party_State = false;
		Semi_CoreOptionsCheckButton3Text:SetText(Semi_Core_String_CB3b);
		end
		if IsInRaid() then 
			Semiraid = true;
		else
			Semiraid = false;
		end

		if (SF_Party_State) and (not Semiraid) then
			Semi_PartyFrames_Show();
		end
		if (not SF_Party_State) and (not Semiraid) then
			Semi_PartyFrames_Hide();
		end
end

function Semi_Raid_Options()
	SF_Raid_State = Semi_CoreOptionsCheckButton11:GetChecked() or false;
	if IsInRaid() then 
		Semiraid = true;
	else
		Semiraid = false;
	end
	if (SF_Raid_State) then
		SF_Raid_State = true;
		Semi_CoreOptionsCheckButton11Text:SetText(Semi_Core_String_CB11a);
	end
	if (not SF_Raid_State) then
		SF_Raid_State = false;
		Semi_CoreOptionsCheckButton11Text:SetText(Semi_Core_String_CB11b);
	end
	if (SF_Raid_State) and (Semiraid) then
			Semi_PartyFrames_Show();
	end
	if (not SF_Raid_State) and (Semiraid) then
		Semi_PartyFrames_Hide();
	end
end

function Semi_ExtraBar1_Options()
	SF_EB_1_State = Semi_CoreOptionsCheckButton6:GetChecked() or false;
	if (SF_EB_1_State) then
		Semi_Bar1_ShowBar();
		Semi_CoreOptionsCheckButton6Text:SetText(Semi_Core_String_CB6a);
		Semi_Bar1_ActionBar = true;
		
		Semi_CoreOptionsCheckButton14:SetChecked(false);
		Semi_Vert_Bar1_Options();
	end
	if (not SF_EB_1_State) then
		Semi_Bar1_HideBar();
		Semi_CoreOptionsCheckButton6Text:SetText(Semi_Core_String_CB6b);
		Semi_Bar1_ActionBar = false;
	end
end

function Semi_ExtraBar2_Options()
	SF_EB_2_State = Semi_CoreOptionsCheckButton7:GetChecked() or false;
	if (SF_EB_2_State) then
		Semi_Bar2_ShowBar();
		Semi_CoreOptionsCheckButton7Text:SetText(Semi_Core_String_CB7a);
		Semi_Bar2_ActionBar = true;
		
		Semi_CoreOptionsCheckButton15:SetChecked(false);
		Semi_Vert_Bar2_Options();
	end
	if (not SF_EB_2_State) then
		Semi_Bar2_HideBar();
		Semi_CoreOptionsCheckButton7Text:SetText(Semi_Core_String_CB7b);
		Semi_Bar2_ActionBar = false;
	end
end

function Semi_ExtraBar3_Options()
	SF_EB_3_State = Semi_CoreOptionsCheckButton8:GetChecked() or false;
	if (SF_EB_3_State) then
		Semi_Bar3_ShowBar();
		Semi_CoreOptionsCheckButton8Text:SetText(Semi_Core_String_CB8a);
		Semi_Bar3_ActionBar = true;
	end
	if (not SF_EB_3_State) then
		Semi_Bar3_HideBar();
		Semi_CoreOptionsCheckButton8Text:SetText(Semi_Core_String_CB8b);
		Semi_Bar3_ActionBar = false;
	end
end

function Semi_Vert_Bar1_Options()
	SF_EB_Vert_1_State = Semi_CoreOptionsCheckButton14:GetChecked() or false;
	if (SF_EB_Vert_1_State) then
		Semi_Vert_Bar1_ShowBar();
		Semi_CoreOptionsCheckButton14Text:SetText(Semi_Core_String_CB14a);
		Semi_Vert_Bar1_ActionBar = true;
		
		Semi_CoreOptionsCheckButton6:SetChecked(false);
		Semi_ExtraBar1_Options();
	end
	if (not SF_EB_Vert_1_State) then
		Semi_Vert_Bar1_HideBar();
		Semi_CoreOptionsCheckButton14Text:SetText(Semi_Core_String_CB14b);
		Semi_Vert_Bar1_ActionBar = false;
	end
end

function Semi_Vert_Bar2_Options()
	SF_EB_Vert_2_State = Semi_CoreOptionsCheckButton15:GetChecked() or false;
	if (SF_EB_Vert_2_State) then
		Semi_Vert_Bar2_ShowBar();
		Semi_CoreOptionsCheckButton15Text:SetText(Semi_Core_String_CB15a);
		Semi_Vert_Bar2_ActionBar = true;
		
		Semi_CoreOptionsCheckButton7:SetChecked(false);
		Semi_ExtraBar2_Options();
	end
	if (not SF_EB_Vert_2_State) then
		Semi_Vert_Bar2_HideBar();
		Semi_CoreOptionsCheckButton15Text:SetText(Semi_Core_String_CB15b);
		Semi_Vert_Bar2_ActionBar = false;
	end
end

function Semi_AB_BottomLeft_Options()
	Semi_AB_BL_State = Semi_CoreOptionsCheckButton_AB_BottomLeft:GetChecked() or false;
	if (Semi_AB_BL_State) then
		Semi_CoreOptionsCheckButton_AB_BottomLeftText:SetText(Semi_Core_String_CB21a);
		Semi_BottomLeft_Bar:Show();
		Semi_BottomLeft_Bar:EnableMouse("true");
		--MultiBarBottomLeft:EnableMouse("false");
		MultiBarBottomLeft:Hide();
		InterfaceOptionsActionBarsPanelBottomLeft:SetChecked(false);
	end
	if (not Semi_AB_BL_State) then
		Semi_CoreOptionsCheckButton_AB_BottomLeftText:SetText(Semi_Core_String_CB21b);
		Semi_BottomLeft_Bar:EnableMouse("false");
		Semi_BottomLeft_Bar:Hide();
		--MultiBarBottomLeft:Show();
		--MultiBarBottomLeft:EnableMouse("true");
		
	end
end

function Semi_AB_BottomRight_Options()
	Semi_AB_BR_State = Semi_CoreOptionsCheckButton_AB_BottomRight:GetChecked() or false;
	if (Semi_AB_BR_State) then
		Semi_CoreOptionsCheckButton_AB_BottomRightText:SetText(Semi_Core_String_CB22a);
		Semi_BottomRight_Bar:Show();
		Semi_BottomRight_Bar:EnableMouse("true");
		--MultiBarBottomRight:EnableMouse("false");
		MultiBarBottomRight:Hide();
		InterfaceOptionsActionBarsPanelBottomRight:SetChecked(false);
	end
	if (not Semi_AB_BR_State) then
		Semi_CoreOptionsCheckButton_AB_BottomRightText:SetText(Semi_Core_String_CB22b);
		Semi_BottomRight_Bar:EnableMouse("false");
		Semi_BottomRight_Bar:Hide();
		--MultiBarBottomLeft:Show();
		--MultiBarBottomLeft:EnableMouse("true");
		
	end
end

function Semi_Grid_Choice_Options()
	SF_Grid_State = Semi_CoreOptionsCheckButton9:GetChecked() or false;
	Semi_Grid = SF_Grid_State;
	if (SF_Grid_State) then
		Semi_CoreOptionsCheckButton9Text:SetText(Semi_Core_String_CB9a);
	end
	if (not SF_Grid_State) then
		Semi_CoreOptionsCheckButton9Text:SetText(Semi_Core_String_CB9b);
	end
	Semi_GridChoice();
end

function Semi_Extra_Bars_Vehicle_Alpha_Choice()
	SF_EB_Vehicle_Alpha_State = Semi_CoreOptionsCheckButton10:GetChecked() or false;
	if SF_EB_Vehicle_Alpha_State == false then
		Semi_Show_Bars_In_Vehicle = false;
	else
		Semi_Show_Bars_In_Vehicle = true;
	end
	if (SF_EB_Vehicle_Alpha_State) then
		Semi_CoreOptionsCheckButton10Text:SetText(Semi_Core_String_CB10a);
	end
	if (not SF_EB_Vehicle_Alpha_State) then
		Semi_CoreOptionsCheckButton10Text:SetText(Semi_Core_String_CB10b);
	end
end

function Semi_Frames_Unlock()
	if (not InCombatLockdown()) then
		InterfaceOptionsFrame:Hide();
		Semi_LockDownButtonFrame:Show();
		SemiVehicleLeaveDragButton:Show();
		if (not UnitInVehicle("player")) then
			MainMenuBarVehicleLeaveButton:Show();
		end
		SemiPlayerPowerBarAltDragButton:Show();
		SemiExtraActionButtonDragButton:Show();
		if (SF_Castbar_State) then
			SemiCastingBarDragButton:Show();
		end
		if (SF_AchievementFrame_Ownership) then
			SemiAchievementFrameDragButton:Show();
		end
		if (Semiclass == "Shaman") and IsAddOnLoaded("Semi_Totem_Bar") then
			Semi_Totem_Bar_LinkFrameToDragButton();
			Semi_TotemBar_UnLockBars();
		end
		if (Semiclass == "Priest") and IsAddOnLoaded("Semi_Priest_Stance_Bar") then
			Semi_HolyPriestBar_UnLockBars();
		end
		if (IsAddOnLoaded("Semi_TargetofTarget_Frame")) then
			SF_TargetofTarget_Locked = false;
			SFTOTTargetofTargetFrameDragButton:Show();
		end
		if (IsAddOnLoaded("Semi_Action_Bars")) then
			Semi_LinkMainMenuBarToDragButton();
			Semi_LinkOverrideActionBarToDragButton();
			Semi_LinkBottomLeftBarToDragButton();
			Semi_LinkBottomRightBarToDragButton();
			Semi_LinkMicroMenuToDragButton();
			Semi_LinkInventoryBagsToDragButton();
			
			SemiMainMenuBarDragButton:Show();
			SemiOverrideActionBarDragButton:Show();
			SemiBottomLeftBarDragButton:Show();
			SemiBottomRightBarDragButton:Show();
			SemiInventoryBagsDragButton:Show();
			SemiMicroMenuDragButton:Show();
			
		end	
		if (IsAddOnLoaded("Semi_Extra_Bars")) then
			if (Semi_Bar1_ActionBar) then
				Semi_Bar1_UnLockBars(); --UnLockBars() does Show();
			end
			if (Semi_Bar2_ActionBar) then
				Semi_Bar2_UnLockBars();
			end
			if (Semi_Bar3_ActionBar) then
				Semi_Bar3_UnLockBars();
			end
			if (Semi_Vert_Bar1_ActionBar) then
				Semi_Vert_Bar1_UnLockBars();
		end
			if (Semi_Vert_Bar2_ActionBar) then
				Semi_Vert_Bar2_UnLockBars();
			end
		end
		if (IsAddOnLoaded("Semi_Pet_Bar")) then
			if SemiPetBar:IsShown() then
				Semi_Pet_Bar_UnLockBars();
			end
			if (Semiclass == "Priest") then
				PetActionBarFrame:Show();
				for i=1, 10 do
					local petgrid = _G["PetActionButton"..i];
					petgrid:Show();
				end
			end
		end
		if (IsAddOnLoaded("Semi_Stance_Bar")) then
			if StanceButton1:IsShown() then
				SemiStanceBar_UnLockBars();
			end
		end
		if (IsAddOnLoaded("Semi_GroupLoot_Frame")) then
			SemiGroupLootFrameDragButton:Show();
		end
	else
		print("You can't unlock the frames during combat!");
	end

end

function Semi_Frames_Lock()
	if ( not InCombatLockdown() ) then
		InterfaceOptionsFrame_OpenToCategory(Semi_CoreOptions);
		Semi_LockDownButtonFrame:Hide();
		SemiCastingBarDragButton:Hide();
		SemiAchievementFrameDragButton:Hide();
		SemiVehicleLeaveDragButton:Hide();
		if (not UnitInVehicle("player")) then
			MainMenuBarVehicleLeaveButton:Hide();
		end
		SemiPlayerPowerBarAltDragButton:Hide();
		SemiExtraActionButtonDragButton:Hide();
		if (Semiclass == "Shaman") and IsAddOnLoaded("Semi_Totem_Bar") then
			Semi_TotemBar_LockBars();
		end
		if (Semiclass == "Priest") and IsAddOnLoaded("Semi_Priest_Stance_Bar") then
			Semi_HolyPriestBar_LockBars();
		end
		if (IsAddOnLoaded("Semi_TargetofTarget_Frame")) then
			SF_TargetofTarget_Locked = true;
			SFTOTTargetofTargetFrameDragButton:Hide();
		end
		if (IsAddOnLoaded("Semi_Action_Bars")) then
			SemiMainMenuBarDragButton:Hide();
			SemiOverrideActionBarDragButton:Hide();
			SemiBottomLeftBarDragButton:Hide();
			SemiBottomRightBarDragButton:Hide();
			SemiInventoryBagsDragButton:Hide();
			SemiMicroMenuDragButton:Hide();
		end	
		if (IsAddOnLoaded("Semi_Extra_Bars")) then
			if (Semi_Bar1_ActionBar) then
				Semi_Bar1_LockBars();  --LockBars() for "Semi_Extra_Bars" does Hide()
			end
			if (Semi_Bar2_ActionBar) then
				Semi_Bar2_LockBars();
			end
			if (Semi_Bar3_ActionBar) then
				Semi_Bar3_LockBars();
			end
			if (Semi_Vert_Bar1_ActionBar) then
				Semi_Vert_Bar1_LockBars();
			end
			if (Semi_Vert_Bar2_ActionBar) then
				Semi_Vert_Bar2_LockBars();
			end
		end
		if (IsAddOnLoaded("Semi_Pet_Bar")) then
			if SemiPetBar:IsShown() then
				Semi_Pet_Bar_LockBars();
			end
			if Semiclass == "Priest" then
				PetActionBarFrame:Hide();
			end
		end
		if (IsAddOnLoaded("Semi_Stance_Bar")) then
			if StanceButton1:IsShown() then
				SemiStanceBar_LockBars();
			end
		end
		if (IsAddOnLoaded("Semi_GroupLoot_Frame")) then
			SemiGroupLootFrameDragButton:Hide();
		end
	else
		print("Combat Enabled~! Locking of Frames on hold until after combat.");
		print("Kill Quickly~!");
	end
	
end

function Semi_LockDownButtonFrame_OnShow()
	Semi_LockDownButtonFrameTitle:SetText(Semi_LDBF_Title);
	Semi_LockDownButtonFrameButton:SetText(Semi_LDBF_Button);
end

function Semi_LinkCastingBarToDragButton()
	if ( SF_Castbar_State ) and ( SF_Castbar_Ownership) and (not InCombatLockdown()) then
		UIPARENT_MANAGED_FRAME_POSITIONS["CastingBarFrame"] = nil;
		CastingBarFrame:ClearAllPoints();
		CastingBarFrame:SetPoint("BOTTOMLEFT", SemiCastingBarDragButton, "BOTTOMLEFT");
	end
end

function Semi_LinkAchievementFrameToDragButton()
	if ( SF_AchievementFrame_Ownership ) and (not InCombatLockdown()) then
		AlertFrame:ClearAllPoints();
		AlertFrame:SetPoint("BOTTOM", SemiAchievementFrameDragButton, "BOTTOM");
	end
end

function Semi_Castbar_Ownership_Options()
	SF_Castbar_Ownership = Semi_CoreOptionsCheckButton18:GetChecked() or false;
		if ( SF_Castbar_Ownership ) then
			Semi_CoreOptionsCheckButton18Text:SetText(Semi_Core_String_CB18a);
			Semi_CoreOptionsCheckButton4:Enable();
			Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4a);
			SF_Castbar_State = true;
			Semi_CoreOptionsCheckButton4:SetChecked(SF_Castbar_State);
			CastingBarFrame:RegisterAllEvents();
			Semi_LinkCastingBarToDragButton();
		elseif (not SF_Castbar_Ownership) then
			CastingBarFrame:RegisterAllEvents();
			UIPARENT_MANAGED_FRAME_POSITIONS["CastingBarFrame"] = true;
			Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4c);
			SF_Castbar_State = false;
			Semi_CoreOptionsCheckButton4:SetChecked(SF_Castbar_State);
			Semi_CoreOptionsCheckButton4:Disable();
			Semi_CoreOptionsCheckButton18Text:SetText(Semi_Core_String_CB18b);
		end
end

function Semi_Castbar_Options()
	SF_Castbar_State = Semi_CoreOptionsCheckButton4:GetChecked() or false;
		if ( SF_Castbar_State ) then
			CastingBarFrame:RegisterAllEvents();
			Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4a);
			Semi_LinkCastingBarToDragButton();
		elseif (not SF_Castbar_State ) then
			CastingBarFrame:Hide();
			CastingBarFrame:UnregisterAllEvents();
			Semi_CoreOptionsCheckButton4Text:SetText(Semi_Core_String_CB4b);
			SemiCastingBarDragButton:Hide();
		end
end

function Semi_AchievementFrame_Ownership_Options()
	SF_AchievementFrame_Ownership = Semi_CoreOptionsCheckButton19:GetChecked() or false;
	
	if ( SF_AchievementFrame_Ownership ) then
		Semi_CoreOptionsCheckButton19Text:SetText(Semi_Core_String_CB19a);
		Semi_LinkAchievementFrameToDragButton();
	elseif (not SF_AchievementFrame_Ownership) then
		Semi_CoreOptionsCheckButton19Text:SetText(Semi_Core_String_CB19b);
	end
end

function Semi_Gryphons_Options()
	SF_Gryphon_State = Semi_CoreOptionsCheckButton5:GetChecked() or false;
	
	if ( SF_Gryphon_State ) then
		MainMenuBarLeftEndCap:Show();
		MainMenuBarRightEndCap:Show();
		Semi_CoreOptionsCheckButton5Text:SetText(Semi_Core_String_CB5a);
	elseif (not SF_Gryphon_State) then
		MainMenuBarLeftEndCap:Hide();
		MainMenuBarRightEndCap:Hide();
		Semi_CoreOptionsCheckButton5Text:SetText(Semi_Core_String_CB5b);
	end
end

function Semi_XP_Bar_Options()
	SF_XP_Bar_State = Semi_CoreOptionsCheckButton17:GetChecked() or false;
	
	if (SF_XP_Bar_State) then
		MainMenuExpBar:RegisterAllEvents();
		MainMenuExpBar:EnableMouse("true");
		MainMenuExpBar:SetAlpha(1);
		MainMenuExpBar:Show();
		Semi_CoreOptionsCheckButton17Text:SetText(Semi_Core_String_CB17a);
	elseif (not SF_XP_Bar_State) then
		MainMenuExpBar:Hide();
		MainMenuExpBar:SetAlpha(0);
		MainMenuExpBar:EnableMouse("false");
		MainMenuExpBar:UnregisterAllEvents();
		Semi_CoreOptionsCheckButton17Text:SetText(Semi_Core_String_CB17b);
	end
end

function Semi_Vehicle_Art_Options()
	SF_Vehicle_Art_State = Semi_CoreOptionsCheckButton20:GetChecked() or false;
	if (SF_Vehicle_Art_State) then
		Semi_CoreOptionsCheckButton20Text:SetText(Semi_Core_String_CB20a);
		for i=1,16 do 
			Semi_Vehicle_Texture[i]:Show();
		end
	elseif (not SF_Vehicle_Art_State) then
		Semi_CoreOptionsCheckButton20Text:SetText(Semi_Core_String_CB20b);
		for i=1,16 do
			Semi_Vehicle_Texture[i]:Hide()
		end
	end
end

function Semi_LinkVehicleLeaveButtonToDragButton()
	if (not InCombatLockdown()) then
		MainMenuBarVehicleLeaveButton:ClearAllPoints();
		MainMenuBarVehicleLeaveButton:SetPoint("BOTTOMLEFT", SemiVehicleLeaveDragButton, "BOTTOMLEFT");
	end
end
hooksecurefunc("MainMenuBarVehicleLeaveButton_Update", Semi_LinkVehicleLeaveButtonToDragButton);

function Semi_LinkPowerBarAltButtonToDragButton()
	if (not InCombatLockdown()) then
		UIPARENT_MANAGED_FRAME_POSITIONS["PlayerPowerBarAlt"] = nil;
		PlayerPowerBarAlt:ClearAllPoints();
		PlayerPowerBarAlt:SetPoint("BOTTOMLEFT", SemiPlayerPowerBarAltDragButton, "BOTTOMLEFT");
	end
end

function Semi_LinkExtraActionButtonToDragButton()
	if (not InCombatLockdown()) then
		ExtraActionButton1:ClearAllPoints();
		ExtraActionButton1:SetPoint("BOTTOM", SemiExtraActionButtonDragButton, "BOTTOM");
	end
end

  --Functions for the Modules Menu

 
function Semi_HolyPriestBar_Load_Options()
	SF_HolyPriestBar_Load = Semi_CoreOptions_ModsCheckButton1:GetChecked() or false;
	if (SF_HolyPriestBar_Load) and (IsAddOnLoaded("Semi_Priest_Stance_Bar")) then
		Semi_CoreOptions_ModsCheckButton1Text:SetText(Semi_Core_Mods_String_CB1a);
	end
	if (not SF_HolyPriestBar_Load) and (not IsAddOnLoaded("Semi_Priest_Stance_Bar")) then
		Semi_CoreOptions_ModsCheckButton1Text:SetText(Semi_Core_Mods_String_CB1b);
	end
	if (SF_HolyPriestBar_Load) and (not IsAddOnLoaded("Semi_Priest_Stance_Bar")) then
		Semi_CoreOptions_ModsCheckButton1Text:SetText(Semi_Core_Mods_String_CB1c);
	end
	if (not SF_HolyPriestBar_Load) and (IsAddOnLoaded("Semi_Priest_Stance_Bar")) then
		Semi_CoreOptions_ModsCheckButton1Text:SetText(Semi_Core_Mods_String_CB1d);
	end
end

function Semi_Totem_Bar_Load_Options()
	SF_TotemBar_Load = Semi_CoreOptions_ModsCheckButton2:GetChecked() or false;
	if (SF_TotemBar_Load) and (IsAddOnLoaded("Semi_Totem_Bar")) then
		Semi_CoreOptions_ModsCheckButton2Text:SetText(Semi_Core_Mods_String_CB2a);
	end
	if (not SF_TotemBar_Load) and (not IsAddOnLoaded("Semi_Totem_Bar")) then
		Semi_CoreOptions_ModsCheckButton2Text:SetText(Semi_Core_Mods_String_CB2b);
	end
	if (SF_TotemBar_Load) and (not IsAddOnLoaded("Semi_Totem_Bar")) then
		Semi_CoreOptions_ModsCheckButton2Text:SetText(Semi_Core_Mods_String_CB2c);
	end
	if (not SF_TotemBar_Load) and (IsAddOnLoaded("Semi_Totem_Bar")) then
		Semi_CoreOptions_ModsCheckButton2Text:SetText(Semi_Core_Mods_String_CB2d);
	end
end


function Semi_TargetFrameToT_Load_Options()
	SF_TargetFrameToT_Load = Semi_CoreOptions_ModsCheckButton3:GetChecked() or false;
	if (SF_TargetFrameToT_Load) and (IsAddOnLoaded("Semi_TargetofTarget_Frame")) then
		Semi_CoreOptions_ModsCheckButton3Text:SetText(Semi_Core_Mods_String_CB3a);
	end
	if (not SF_TargetFrameToT_Load) and (not IsAddOnLoaded("Semi_TargetofTarget_Frame")) then
		Semi_CoreOptions_ModsCheckButton3Text:SetText(Semi_Core_Mods_String_CB3b);
	end
	if (SF_TargetFrameToT_Load) and (not IsAddOnLoaded("Semi_TargetofTarget_Frame")) then
		Semi_CoreOptions_ModsCheckButton3Text:SetText(Semi_Core_Mods_String_CB3c);
	end
	if (not SF_TargetFrameToT_Load) and (IsAddOnLoaded("Semi_TargetofTarget_Frame")) then
		Semi_CoreOptions_ModsCheckButton3Text:SetText(Semi_Core_Mods_String_CB3d);
	end
end

function Semi_Portrait_Options()
	SF_ClassIcons_Portrait = Semi_CoreOptions_ModsCheckButton4:GetChecked() or false;
	if (SF_ClassIcons_Portrait) and (IsAddOnLoaded("Semi_ClassIcons_Portrait")) then
		Semi_CoreOptions_ModsCheckButton4Text:SetText(Semi_Core_Mods_String_CB4a);
	end
	if (not SF_ClassIcons_Portrait) and (not IsAddOnLoaded("Semi_ClassIcons_Portrait")) then
		Semi_CoreOptions_ModsCheckButton4Text:SetText(Semi_Core_Mods_String_CB4b);
	end
	if (SF_ClassIcons_Portrait) and (not IsAddOnLoaded("Semi_ClassIcons_Portrait")) then
		Semi_CoreOptions_ModsCheckButton4Text:SetText(Semi_Core_Mods_String_CB4c);
	end
	if (not SF_ClassIcons_Portrait) and (IsAddOnLoaded("Semi_ClassIcons_Portrait")) then
		Semi_CoreOptions_ModsCheckButton4Text:SetText(Semi_Core_Mods_String_CB4d);
	end
end

function Semi_Action_Bars_Options()
	SF_ActionBars_Load = Semi_CoreOptions_ModsCheckButton5:GetChecked() or false;
	if (SF_ActionBars_Load) and (IsAddOnLoaded("Semi_Action_Bars")) then
		Semi_CoreOptions_ModsCheckButton5Text:SetText(Semi_Core_Mods_String_CB5a);
	end
	if (not SF_ActionBars_Load) and (not IsAddOnLoaded("Semi_Action_Bars")) then
		Semi_CoreOptions_ModsCheckButton5Text:SetText(Semi_Core_Mods_String_CB5b);
	end
	if (SF_ActionBars_Load) and (not IsAddOnLoaded("Semi_Action_Bars")) then
		Semi_CoreOptions_ModsCheckButton5Text:SetText(Semi_Core_Mods_String_CB5c);
	end
	if (not SF_ActionBars_Load) and (IsAddOnLoaded("Semi_Action_Bars")) then
		Semi_CoreOptions_ModsCheckButton5Text:SetText(Semi_Core_Mods_String_CB5d);
	end
end

function Semi_Extra_Bars_Options()
	SF_ExtraBars_Load = Semi_CoreOptions_ModsCheckButton6:GetChecked() or false;
	if (SF_ExtraBars_Load) and (IsAddOnLoaded("Semi_Extra_Bars")) then
		Semi_CoreOptions_ModsCheckButton6Text:SetText(Semi_Core_Mods_String_CB6a);
	end
	if (not SF_ExtraBars_Load) and (not IsAddOnLoaded("Semi_Extra_Bars")) then
		Semi_CoreOptions_ModsCheckButton6Text:SetText(Semi_Core_Mods_String_CB6b);
	end
	if (SF_ExtraBars_Load) and (not IsAddOnLoaded("Semi_Extra_Bars")) then
		Semi_CoreOptions_ModsCheckButton6Text:SetText(Semi_Core_Mods_String_CB6c);
	end
	if (not SF_ExtraBars_Load) and (IsAddOnLoaded("Semi_Extra_Bars")) then
		Semi_CoreOptions_ModsCheckButton6Text:SetText(Semi_Core_Mods_String_CB6d);
	end
end

function Semi_Pet_Bar_Options()
	SF_PetBar_Load = Semi_CoreOptions_ModsCheckButton7:GetChecked() or false;
	if (SF_PetBar_Load) and (IsAddOnLoaded("Semi_Pet_Bar")) then
		Semi_CoreOptions_ModsCheckButton7Text:SetText(Semi_Core_Mods_String_CB7a);
	end
	if (not SF_PetBar_Load) and (not IsAddOnLoaded("Semi_Pet_Bar")) then
		Semi_CoreOptions_ModsCheckButton7Text:SetText(Semi_Core_Mods_String_CB7b);
	end
	if (SF_PetBar_Load) and (not IsAddOnLoaded("Semi_Pet_Bar")) then
		Semi_CoreOptions_ModsCheckButton7Text:SetText(Semi_Core_Mods_String_CB7c);
	end
	if (not SF_PetBar_Load) and (IsAddOnLoaded("Semi_Pet_Bar")) then
		Semi_CoreOptions_ModsCheckButton7Text:SetText(Semi_Core_Mods_String_CB7d);
	end
end

function Semi_Stance_Bar_Options()
	SF_StanceBar_Load = Semi_CoreOptions_ModsCheckButton8:GetChecked() or false;
	if (SF_StanceBar_Load) and (IsAddOnLoaded("Semi_Stance_Bar")) then
		Semi_CoreOptions_ModsCheckButton8Text:SetText(Semi_Core_Mods_String_CB8a);
	end
	if (not SF_StanceBar_Load) and (not IsAddOnLoaded("Semi_Stance_Bar")) then
		Semi_CoreOptions_ModsCheckButton8Text:SetText(Semi_Core_Mods_String_CB8b);
	end
	if (SF_StanceBar_Load) and (not IsAddOnLoaded("Semi_Stance_Bar")) then
		Semi_CoreOptions_ModsCheckButton8Text:SetText(Semi_Core_Mods_String_CB8c);
	end
	if (not SF_StanceBar_Load) and (IsAddOnLoaded("Semi_Stance_Bar")) then
		Semi_CoreOptions_ModsCheckButton8Text:SetText(Semi_Core_Mods_String_CB8d);
	end
end

function Semi_GroupLoot_Frame_Options()
	SF_GroupLoot_Load = Semi_CoreOptions_ModsCheckButton9:GetChecked() or false;
	if (SF_GroupLoot_Load) and (IsAddOnLoaded("Semi_GroupLoot_Frame")) then
		Semi_CoreOptions_ModsCheckButton9Text:SetText(Semi_Core_Mods_String_CB9a);
	end
	if (not SF_GroupLoot_Load) and (not IsAddOnLoaded("Semi_GroupLoot_Frame")) then
		Semi_CoreOptions_ModsCheckButton9Text:SetText(Semi_Core_Mods_String_CB9b);
	end
	if (SF_GroupLoot_Load) and (not IsAddOnLoaded("Semi_GroupLoot_Frame")) then
		Semi_CoreOptions_ModsCheckButton9Text:SetText(Semi_Core_Mods_String_CB9c);
	end
	if (not SF_GroupLoot_Load) and (IsAddOnLoaded("Semi_GroupLoot_Frame")) then
		Semi_CoreOptions_ModsCheckButton9Text:SetText(Semi_Core_Mods_String_CB9d);
	end
end

function Semi_ClassColor_Options()
	SF_ClassColor_Load = Semi_CoreOptions_ModsCheckButton10:GetChecked() or false;
	if (SF_ClassColor_Load) and (IsAddOnLoaded("Semi_ClassColor_HealthBar")) then
		Semi_CoreOptions_ModsCheckButton10Text:SetText(Semi_Core_Mods_String_CB10a);
	end
	if (not SF_ClassColor_Load) and (not IsAddOnLoaded("Semi_ClassColor_HealthBar")) then
		Semi_CoreOptions_ModsCheckButton10Text:SetText(Semi_Core_Mods_String_CB10b);
	end
	if (SF_ClassColor_Load) and (not IsAddOnLoaded("Semi_ClassColor_HealthBar")) then
		Semi_CoreOptions_ModsCheckButton10Text:SetText(Semi_Core_Mods_String_CB10c);
	end
	if (not SF_ClassColor_Load) and (IsAddOnLoaded("Semi_ClassColor_HealthBar")) then
		Semi_CoreOptions_ModsCheckButton10Text:SetText(Semi_Core_Mods_String_CB10d);
	end
end

function Semi_ExtraScaling_Options()
	SF_ExtraScaling_Load = Semi_CoreOptions_ModsCheckButton11:GetChecked() or false;
	if (SF_ExtraScaling_Load) and (IsAddOnLoaded("Semi_Extra_Scaling")) then
		Semi_CoreOptions_ModsCheckButton11Text:SetText(Semi_Core_Mods_String_CB11a);
	end
	if (not SF_ExtraScaling_Load) and (not IsAddOnLoaded("Semi_Extra_Scaling")) then
		Semi_CoreOptions_ModsCheckButton11Text:SetText(Semi_Core_Mods_String_CB11b);
	end
	if (SF_ExtraScaling_Load) and (not IsAddOnLoaded("Semi_Extra_Scaling")) then
		Semi_CoreOptions_ModsCheckButton11Text:SetText(Semi_Core_Mods_String_CB11c);
	end
	if (not SF_ExtraScaling_Load) and (IsAddOnLoaded("Semi_Extra_Scaling")) then
		Semi_CoreOptions_ModsCheckButton11Text:SetText(Semi_Core_Mods_String_CB11d);
	end
end

function Semi_CoreOptions_Mods_ReloadUI()
	local mod1, mod2, mod3, mod4, mod5, mod6, mod7, mod8, mod9, mod10;
	mod1 = Semi_CoreOptions_ModsCheckButton1:GetChecked() or false;
	mod2 = Semi_CoreOptions_ModsCheckButton2:GetChecked() or false;
	mod3 = Semi_CoreOptions_ModsCheckButton3:GetChecked() or false;
	mod4 = Semi_CoreOptions_ModsCheckButton4:GetChecked() or false;
	mod5 = Semi_CoreOptions_ModsCheckButton5:GetChecked() or false;
	mod6 = Semi_CoreOptions_ModsCheckButton6:GetChecked() or false;
	mod7 = Semi_CoreOptions_ModsCheckButton7:GetChecked() or false;
	mod8 = Semi_CoreOptions_ModsCheckButton8:GetChecked() or false;
	mod9 = Semi_CoreOptions_ModsCheckButton9:GetChecked() or false;
	mod10 = Semi_CoreOptions_ModsCheckButton10:GetChecked() or false;
	mod11 = Semi_CoreOptions_ModsCheckButton11:GetChecked() or false;
	
	if (not mod1) then
		DisableAddOn("Semi_Priest_Stance_Bar");
	elseif (mod1) then
		EnableAddOn("Semi_Priest_Stance_Bar");
		LoadAddOn("Semi_Priest_Stance_Bar");
	end

	if (not mod2) then
		DisableAddOn("Semi_Totem_Bar");
	elseif (mod2) then
		EnableAddOn("Semi_Totem_Bar");
		LoadAddOn("Semi_Totem_Bar");
	end

	if (not mod3) then
		DisableAddOn("Semi_TargetofTarget_Frame");
	elseif (mod3) then
		EnableAddOn("Semi_TargetofTarget_Frame");
		LoadAddOn("Semi_TargetofTarget_Frame");
	end

	if  (not mod4) then
		DisableAddOn("Semi_ClassIcons_Portrait");
	elseif (mod4) then
		EnableAddOn("Semi_ClassIcons_Portrait");
		LoadAddOn("Semi_ClassIcons_Portrait");
	end
	
	if (not mod5) then
		DisableAddOn("Semi_Action_Bars");
	elseif (mod5) then
		EnableAddOn("Semi_Action_Bars");
		LoadAddOn("Semi_Action_Bars");
	end
	
	if (not mod6) then
		DisableAddOn("Semi_Extra_Bars");
	elseif (mod6) then
		EnableAddOn("Semi_Extra_Bars");
		LoadAddOn("Semi_Extra_Bars");
	end
	
	if (not mod7) then
		DisableAddOn("Semi_Pet_Bar");
	elseif (mod7) then
		EnableAddOn("Semi_Pet_Bar");
		LoadAddOn("Semi_Pet_Bar");
	end
	if (not mod8) then
		DisableAddOn("Semi_Stance_Bar");
	elseif (mod8) then
		EnableAddOn("Semi_Stance_Bar");
		LoadAddOn("Semi_Stance_Bar");
	end
	if (not mod9) then
		DisableAddOn("Semi_GroupLoot_Frame");
	elseif (mod9) then
		EnableAddOn("Semi_GroupLoot_Frame")
		LoadAddOn("Semi_GroupLoot_Frame");
	end
	if (not mod10) then
		DisableAddOn("Semi_ClassColor_HealthBar");
	elseif (mod10) then
		EnableAddOn("Semi_ClassColor_HealthBar");
		LoadAddOn("Semi_ClassColor_HealthBar");
	end
	if (not mod11) then
		DisableAddOn("Semi_Extra_Scaling");
	elseif (mod11) then
		EnableAddOn("Semi_Extra_Scaling");
		LoadAddOn("Semi_Extra_Scaling");
	end
	ReloadUI();
end
-- Slash Commands Handler Function --
function Semi_Core_SlashHandler(msg, editbox)
	local command, rest = msg:match("^(%S*)%s*(.-)$");
	command = string.lower(command);
	if (command == "fix") and IsAddOnLoaded("Semi_Action_Bars") then
		Semi_UpdateBarPositions();
	elseif (command == "menu") then
		InterfaceOptionsFrame_OpenToCategory(Semi_CoreOptions);
	elseif (command == "scale") then
		InterfaceOptionsFrame_OpenToCategory(Semi_ScaleOptions);
	elseif (command == "flyout") and IsAddOnLoaded("Semi_Extra_Bars") then
		InterfaceOptionsFrame_OpenToCategory(Semi_OrientOptions);
	elseif (command == "mod") or (command == "mods") then
		InterfaceOptionsFrame_OpenToCategory(Semi_CoreOptions_Mods);
	elseif (command == "unlock") then
		Semi_Frames_Unlock();
	else
		InterfaceOptionsFrame_OpenToCategory("Semi");
	end
end
--On Event Functions, i.e. what do we do when events happen -- 
function Semi_Core_OnEvent(self, event, ...)
	local arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8 = ...;
	if ( event == "PLAYER_REGEN_DISABLED" ) then
		if SemiVehicleLeaveDragButton:IsShown() then
			SemiCastingBarDragButton:SetAlpha(0.1);
			SemiAchievementFrameDragButton:SetAlpha(0.1);
			SemiVehicleLeaveDragButton:SetAlpha(0.1);
			SemiPlayerPowerBarAltDragButton:SetAlpha(0.1);
			SemiExtraActionButtonDragButton:SetAlpha(0.1);
			if (IsAddOnLoaded("Semi_GroupLoot_Frame")) then
				SemiGroupLootFrameDragButton:SetAlpha(0.1);
			end
			if (IsAddOnLoaded("Semi_TargetofTarget_Frame")) then		
				SFTOTTargetofTargetFrameDragButton:SetAlpha(0.1);
			end
		end
	end
	if ( event == "PLAYER_REGEN_ENABLED") then
		if SemiVehicleLeaveDragButton:IsShown() then
			SemiCastingBarDragButton:SetAlpha(1);
			SemiAchievementFrameDragButton:SetAlpha(.75);
			SemiVehicleLeaveDragButton:SetAlpha(1);
			SemiPlayerPowerBarAltDragButton:SetAlpha(1);
			SemiExtraActionButtonDragButton:SetAlpha(1);
			if (IsAddOnLoaded("Semi_GroupLoot_Frame")) then 
				SemiGroupLootFrameDragButton:SetAlpha(1);
			end
			if (IsAddOnLoaded("Semi_TargetofTarget_Frame")) then
				SFTOTTargetofTargetFrameDragButton:SetAlpha(.7);
			end
			--check if need to add chakra, totem, stance, pet drag buttons
		end
		if ( SF_Castbar_State ) and ( SF_Castbar_Ownership ) then
			Semi_LinkCastingBarToDragButton();
		end
		Semi_LinkVehicleLeaveButtonToDragButton();
		Semi_LinkExtraActionButtonToDragButton();
		if (not UnitInVehicle("player")) then
			Semi_LinkPowerBarAltButtonToDragButton();  --we told UIPARENT_MANAGED_FRAME_POSITIONS to not handle the PlayerPowerBarAlt button, but...
			Semi_Player_Scale_On_Change(Semi_Player_Scale);
			Semi_Pet_Scale_On_Change(Semi_Pet_Scale);
			Semi_Target_Scale_On_Change(Semi_Target_Scale);
			Semi_ToT_Scale_On_Change(Semi_ToT_Scale);
			Semi_PartyFrame_Scale_On_Change(Semi_PartyFrame_Scale);
			Semi_FocusFrame_Scale_On_Change(Semi_FocusFrame_Scale);
			Semi_All_Bars_Scale_On_Change(Semi_AllBars_Scale);
			Semi_VehicleBar_Scale_On_Change(Semi_VehicleBar_Scale)
			if (IsAddOnLoaded("Semi_Action_Bars")) then
				Semi_MicroMenuButtons_Scale_On_Change(Semi_MicroMenuButtons_Scale);
			end
			Semi_PetBar_Scale_On_Change(Semi_PetBar_Scale);
			Semi_BossTargetFrames_Scale_On_Change(Semi_BossTargetFrame_Scale);
			if (IsAddOnLoaded("Semi_Extra_Bars")) then
				Semi_EB_Set_Direction("Semi_EB_Bar1Button", Semi_EB_H_1_Orien_Text);
				Semi_EB_Set_Direction("Semi_EB_Bar2Button", Semi_EB_H_2_Orien_Text);
				Semi_EB_Set_Direction("Semi_EB_Bar3Button", Semi_EB_H_3_Orien_Text);
				Semi_EB_Set_Direction("Semi_EB_Vert_Bar1Button", Semi_EB_V_1_Orien_Text);
				Semi_EB_Set_Direction("Semi_EB_Vert_Bar2Button", Semi_EB_V_2_Orien_Text);
			end
			if ( Semiclass == "Shaman" ) and IsAddOnLoaded("Semi_Totem_Bar") then
				Semi_TotemBar_Scale_On_Change(Semi_TotemBar_Scale);
			end
			if (Semiclass == "Priest") and IsAddOnLoaded("Semi_Priest_Stance_Bar") then
				 Semi_ChakraBar_Scale_On_Change(Semi_ChakraBar_Scale);
			end
			if (IsAddOnLoaded("PlayerXPBar")) then
				Semi_Support_PlayerXPBar_Scale_On_Change(Semi_Support_PlayerXPBar_Scale);
			end
		end
		if (IsAddOnLoaded("Semi_Extra_Scaling")) then
			if Semi_Run_Scale_Reset then
				Semi_FrameNames_Scale_On_Change(Semi_FrameNames_Scale);
				Semi_CalendarFrame_Scale_On_Change(Semi_CalendarFrame_Scale);
				Semi_WorldMapFrame_Scale_On_Change(Semi_WorldMapFrame_Scale);
			end
		end
	end
	if (event== "ADDON_LOADED" and arg1 == "Semi_Extra_Scaling") then
			-- The following events are for scaling frames that can't be scaled until they are opened and the player is not in combat --
			-- Once that happens, they become unregistered by the mod--
			--Semi_Core_MainFrame:RegisterEvent("TRADE_SKILL_UPDATE");
			Semi_Core_MainFrame:RegisterEvent("CALENDAR_UPDATE_EVENT_LIST");
			Semi_Core_MainFrame:RegisterEvent("INSPECT_READY");
			Semi_Core_MainFrame:RegisterEvent("TRAINER_SHOW");
	end
	if (event == "ADDON_LOADED" and arg1 == "Semi_Core") or event == "PLAYER_ENTERING_WORLD" or event == "PLAYER_LOGIN" then
		if (event == "ADDON_LOADED") then
			SlashCmdList["SEMI_CORECOMMAND"] = Semi_Core_SlashHandler;
			SLASH_SEMI_CORECOMMAND1 = "/semi";
			SemiAchievementFrameDragButtonText:SetText(Semi_Achievement_Drag_Text); --This sets the text on the Achievement Frame's drag button, not using tooltip for this one
		end
		--Semicircle Personal Code follows
		--if (event == "PLAYER_ENTERING_WORLD") then
		--	UIErrorsFrame:ClearAllPoints();
		--	UIErrorsFrame:SetPoint("CENTER", UIParent, "CENTER", 0, 140);
		--	MirrorTimer1:ClearAllPoints();
		--	MirrorTimer2:ClearAllPoints();
		--	MirrorTimer3:ClearAllPoints();
		--	MirrorTimer1:SetPoint("CENTER", UIParent, "CENTER", 0, 180);
		--	MirrorTimer2:SetPoint("CENTER", UIParent, "CENTER", 0, 170);
		--	MirrorTimer3:SetPoint("CENTER", UIParent, "CENTER", 0, 160);
		--end
		--End of Personal Code --
		if IsInRaid() then 
			Semiraid = true;
		else
			Semiraid = false;
		end
		Semi_LinkPowerBarAltButtonToDragButton(); --this shouldn't be needed, since we told UIPARENT_MANAGED_FRAME_POSITIONS not to manage it, but need to double check
		Semi_LinkVehicleLeaveButtonToDragButton();
		Semi_LinkExtraActionButtonToDragButton();
		
		SemiCastingBarDragButton:Hide();
		SemiAchievementFrameDragButton:Hide();
		SemiVehicleLeaveDragButton:Hide();
		SemiPlayerPowerBarAltDragButton:Hide();
		SemiExtraActionButtonDragButton:Hide();
		
		if (SF_MiniMapChoice_Load) then
			Semi_Core_MinimapButton_Reposition();
		elseif (not SF_MiniMapChoice_Load) then
			Semi_CoreMinimapButton:Hide();
		end
		
		if (IsAddOnLoaded("Semi_Totem_Bar")) then
			Semi_TotemBar_LockBars();
		end
		
		if ( SF_Castbar_State ) and ( SF_Castbar_Ownership) then
			Semi_LinkCastingBarToDragButton();
		elseif (not SF_Castbar_State ) and ( SF_Castbar_Ownership) then
			CastingBarFrame:Hide();
			CastingBarFrame:UnregisterAllEvents();
		end
		if (not SF_Gryphon_State) then
			MainMenuBarLeftEndCap:Hide();
			MainMenuBarRightEndCap:Hide();
		elseif (SF_Gryphon_State) then
			MainMenuBarLeftEndCap:Show();
			MainMenuBarRightEndCap:Show();
		end
		if (SF_XP_Bar_State) then
			MainMenuExpBar:RegisterAllEvents();
			MainMenuExpBar:EnableMouse("true");
			MainMenuExpBar:SetAlpha(1);
			MainMenuExpBar:Show();
		elseif (not SF_XP_Bar_State) then
			MainMenuExpBar:SetAlpha(0);
			MainMenuExpBar:EnableMouse("false");
			MainMenuExpBar:Hide();
			MainMenuExpBar:UnregisterAllEvents();
		end
		if (SF_Vehicle_Art_State) then
			--Semi_Vehicle_Art_Show();  --this will be the name of this function at a later date & time
			for i=1,16 do 
				Semi_Vehicle_Texture[i]:Show();
			end
		elseif (not SF_Vehicle_Art_State) then
			--Semi_Vehicle_Art_Hide();  --ditto what previous comment said
			for i=1,16 do 
				Semi_Vehicle_Texture[i]:Hide();
			end
		end
		if (SF_Party_Ownership_State) then
			UIParent:UnregisterEvent("GROUP_ROSTER_UPDATE");
			if (SF_Party_State) and (not Semiraid) then
				Semi_PartyFrames_Show();
			end
			if (not SF_Party_State) and (not Semiraid) then
				Semi_PartyFrames_Hide();
			end
			if (SF_Raid_State) and (Semiraid) then
				Semi_PartyFrames_Show();
			end
			if (not SF_Raid_State) and (Semiraid) then
				Semi_PartyFrames_Hide();
			end
		end
		Semi_Player_Scale_On_Change(Semi_Player_Scale);
		Semi_Pet_Scale_On_Change(Semi_Pet_Scale);
		Semi_Target_Scale_On_Change(Semi_Target_Scale);
		Semi_ToT_Scale_On_Change(Semi_ToT_Scale);
		Semi_PartyFrame_Scale_On_Change(Semi_PartyFrame_Scale);
		Semi_FocusFrame_Scale_On_Change(Semi_FocusFrame_Scale);
		Semi_All_Bars_Scale_On_Change(Semi_AllBars_Scale);
		Semi_VehicleBar_Scale_On_Change(Semi_VehicleBar_Scale);
		Semi_PetBattleFrame_Scale_On_Change(Semi_PetBattleFrame_Scale);
		if (IsAddOnLoaded("Semi_Action_Bars")) then
			Semi_MicroMenuButtons_Scale_On_Change(Semi_MicroMenuButtons_Scale);
		end
		if (IsAddOnLoaded("Semi_Extra_Scaling")) then
			Semi_FrameNames_Scale_On_Change(Semi_FrameNames_Scale);
			Semi_CalendarFrame_Scale_On_Change(Semi_CalendarFrame_Scale);
			Semi_WorldMapFrame_Scale_On_Change(Semi_WorldMapFrame_Scale);
		end
		Semi_PetBar_Scale_On_Change(Semi_PetBar_Scale);
		Semi_BossTargetFrames_Scale_On_Change(Semi_BossTargetFrame_Scale);
		Semi_GroupLootFrame_Scale_On_Change(Semi_GroupLootFrame_Scale);
		if ( Semiclass == "Shaman" ) and IsAddOnLoaded("Semi_Totem_Bar") then
			Semi_TotemBar_Scale_On_Change(Semi_TotemBar_Scale);
		end
		if (Semiclass == "Priest") and IsAddOnLoaded("Semi_Priest_Stance_Bar") then
			Semi_ChakraBar_Scale_On_Change(Semi_ChakraBar_Scale);
		end
		if (IsAddOnLoaded("PlayerXPBar")) and (event == "PLAYER_ENTERING_WORLD") then
			Semi_Support_PlayerXPBar_Scale_On_Change(Semi_Support_PlayerXPBar_Scale);
		end
	end
	if (event == "UNIT_EXITED_VEHICLE") and (not InCombatLockdown()) and ((CharacterMicroButton:GetParent():GetName()) == "MainMenuBarArtFrame") then
		Semi_Player_Scale_On_Change(Semi_Player_Scale);
		Semi_Pet_Scale_On_Change(Semi_Pet_Scale);
		Semi_Target_Scale_On_Change(Semi_Target_Scale);
		Semi_ToT_Scale_On_Change(Semi_ToT_Scale);
		Semi_PartyFrame_Scale_On_Change(Semi_PartyFrame_Scale);
		Semi_FocusFrame_Scale_On_Change(Semi_FocusFrame_Scale);
		Semi_All_Bars_Scale_On_Change(Semi_AllBars_Scale);
		Semi_VehicleBar_Scale_On_Change(Semi_VehicleBar_Scale);
		if (IsAddOnLoaded("Semi_Action_Bars")) then
			Semi_MicroMenuButtons_Scale_On_Change(Semi_MicroMenuButtons_Scale);
		end
		Semi_PetBar_Scale_On_Change(Semi_PetBar_Scale);
		Semi_BossTargetFrames_Scale_On_Change(Semi_BossTargetFrame_Scale);
		if (IsAddOnLoaded("Semi_Extra_Bars")) then
			Semi_EB_Set_Direction("Semi_EB_Bar1Button", Semi_EB_H_1_Orien_Text);
			Semi_EB_Set_Direction("Semi_EB_Bar2Button", Semi_EB_H_2_Orien_Text);
			Semi_EB_Set_Direction("Semi_EB_Bar3Button", Semi_EB_H_3_Orien_Text);
			Semi_EB_Set_Direction("Semi_EB_Vert_Bar1Button", Semi_EB_V_1_Orien_Text);
			Semi_EB_Set_Direction("Semi_EB_Vert_Bar2Button", Semi_EB_V_2_Orien_Text);
		end
		if ( Semiclass == "Shaman" ) and IsAddOnLoaded("Semi_Totem_Bar") then
			Semi_TotemBar_Scale_On_Change(Semi_TotemBar_Scale);
		end
		if (Semiclass == "Priest") and IsAddOnLoaded("Semi_Priest_Stance_Bar") then
			Semi_ChakraBar_Scale_On_Change(Semi_ChakraBar_Scale);
		end
		if (IsAddOnLoaded("PlayerXPBar")) then
			Semi_Support_PlayerXPBar_Scale_On_Change(Semi_Support_PlayerXPBar_Scale);
		end		
	end
	if (event == "PLAYER_LEVEL_UP") then
		Semilevel = Semilevel + 1;
		if Semilevel == SemiMaxLevel and IsAddOnLoaded("Semi_Action_Bars") then
			if (SF_MainMenuBarTexture_State) then
				MainMenuMaxLevelBar0:Show();
				MainMenuMaxLevelBar1:Show();
			elseif (not SF_MainMenuBarTexture_State) then
				MainMenuMaxLevelBar0:Hide();
				MainMenuMaxLevelBar1:Hide();
			end
		end		
	end
	if ((event == "GROUP_ROSTER_UPDATE") or (event == "PARTY_CONVERTED_TO_RAID")) and (not InCombatLockdown()) then
		if IsInRaid() then 
			Semiraid = true;
		else
			Semiraid = false;
		end
		if (SF_Party_Ownership_State) then
			if (SF_Party_State) and (not Semiraid) then
				Semi_PartyFrames_Show();
			end
			if (not SF_Party_State) and (not Semiraid) then
				Semi_PartyFrames_Hide();
			end
			if (SF_Raid_State) and (Semiraid) then
				Semi_PartyFrames_Show();
			end
			if (not SF_Raid_State) and (Semiraid) then
				Semi_PartyFrames_Hide();
			end
		end
	end
	if (event == "PET_BATTLE_OPENING_START") then
		for i=1,12 do 
			SemiMicroMenuButtons[i]:SetScale(1);
		end
		if IsAddOnLoaded("Semi_Extra_Bars") then
			SF_Pet_Battle_Hide_Bars_Player_Is_Using();
		end
		if IsAddOnLoaded("Semi_Totem_Bar") and (Semiclass == "Shaman") then
			Semi_TotemBar_HideBar();
		end
		if IsAddOnLoaded("Semi_Priest_Stance_Bar") and (Semiclass == "Priest") then
			Semi_HolyPriestBar_HideBar();
		end
	end
	if (event == "PET_BATTLE_CLOSE") then
		if IsAddOnLoaded("Semi_Extra_Bars") then
			SF_Pet_Battle_Show_Bars_Player_Is_Using();
		end
		if IsAddOnLoaded("Semi_Totem_Bar") and (Semiclass == "Shaman") then
			Semi_TotemBar_ShowBar();
		end
		if IsAddOnLoaded("Semi_Priest_Stance_Bar") and (Semiclass == "Priest") then
			Semi_Test_Current_Spec();
		end
	end
	--The Following Events will only be fired if they have been registered by Semi_Extra_Scaling to be tracked
	--otherwise, they get ignored
		if (event == "TRADE_SKILL_UPDATE") then		--I don't like this option, this is going to cause a lot of wasted cycles
			--print("Trade Skill Update has Fired!");
			if (TradeSkillFrame ~= nil) and  (not InCombatLockdown()) then
				TradeSkillFrame:SetScale(Semi_FrameNames_Scale);
				Semi_Core_MainFrame:UnregisterEvent("TRADE_SKILL_UPDATE"); --this should release the event from being watched and ease up on the cycles once we set the scale
			end
		end
		if (event == "INSPECT_READY") then
			--print("Inspect Ready has Fired!");
			if (InspectFrame ~= nil) and (not InCombatLockdown()) then
				InspectFrame:SetScale(Semi_FrameNames_Scale);
				Semi_Core_MainFrame:UnregisterEvent("INSPECT_READY");
			end
		end
		if (event == "CALENDAR_UPDATE_EVENT_LIST") then
			--print("Calendar Update Event List has Fired!");
			if (CalendarFrame ~= nil) and (not InCombatLockdown()) then
				CalendarFrame:SetScale(Semi_CalendarFrame_Scale);
				Semi_Core_MainFrame:UnregisterEvent("CALENDAR_UPDATE_EVENT_LIST");
			end
		end
		if (event == "TRAINER_SHOW") then
			--print("Trainer Show has Fired!");
			if (ClassTrainerFrame ~= nil) and (not InCombatLockdown()) then
				ClassTrainerFrame:SetScale(Semi_FrameNames_Scale);
				Semi_Core_MainFrame:UnregisterEvent("TRAINER_SHOW");
			end
		end
end

function Semi_MiniMap_Choice_Options(self)
	SF_MiniMapChoice_Load = self:GetChecked() or false;
	if SF_MiniMapChoice_Load then
		_G[self:GetName().."Text"]:SetText(Semi_MiniMap_Choice_Yes);
		Semi_CoreMinimapButton:Show();
	elseif (not SF_MiniMapChoice_Load) then
		_G[self:GetName().."Text"]:SetText(Semi_MiniMap_Choice_No);
		Semi_CoreMinimapButton:Hide();
	end
end

function Semi_Core_MinimapButton_Reposition()
	if (Semi_Core_MinimapPos == "" or Semi_Core_MinimapPos == "nil" or Semi_Core_MinimapPos == nil) then
		Semi_Core_MinimapPos = 45;
	end
	Semi_CoreMinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(Semi_Core_MinimapPos)),(80*sin(Semi_Core_MinimapPos))-52);
end

function Semi_CoreMinimapButton_DraggingFrame_OnUpdate()

	local xpos, ypos = GetCursorPosition();
	local xmin = Minimap:GetLeft();
	local ymin = Minimap:GetBottom();

	xpos = (xmin-xpos/UIParent:GetScale()+70); -- get coordinates as differences from the center of the minimap
	ypos = (ypos/UIParent:GetScale()-ymin-70);

	Semi_Core_MinimapPos = (math.deg(math.atan2(ypos,xpos))); -- save the degrees we are relative to the minimap center
	Semi_Core_MinimapButton_Reposition(); -- move the button
end

function Semi_CoreMinimapButton_LeftClick()
	if ( not InCombatLockdown() ) then
		InterfaceOptionsFrame_OpenToCategory(Semi_CoreOptions);
	end
end

function Semi_CoreMinimapButton_RightClick()
	if (not InCombatLockdown()) then
		InterfaceOptionsFrame_OpenToCategory(Semi_CoreOptions_Mods);
	end
end

function Semi_CoreMinimapButton_MiddleClick()
	if (not InCombatLockdown()) then
		InterfaceOptionsFrame_OpenToCategory(Semi_ScaleOptions);
	end
end
--Debug Code follows
--[[
function Semi_MoveMicroButtons_Hook()
	local Semiparent = (CharacterMicroButton:GetParent():GetName());
	print("|cff00ffff ---- ");
	print("|cff00ff00Micro Moved: Current Parent is: "..Semiparent);
	print("|cffff0000 ---- ");
	UIErrorsFrame:AddMessage("MICRO MOVED!");
end
hooksecurefunc("MoveMicroButtons", Semi_MoveMicroButtons_Hook);
]]
