-- Initial Variable Values -- These saved variables are set to this default if there is no value --
Semi_TotemBar_ActionBar = true;
Semi_TotemBar_Locked = false;
Semi_Totem_Grid = true;
local Semiclass = UnitClass("player");

 -- Bindings for folks to set in the Blizzard Keybindings Menu --
BINDING_HEADER_SEMITOTEMBAR = "Semi Totem Bar";
_G["BINDING_NAME_CLICK Semi_TotemBarButton1:LeftButton"] = "Button 1";
_G["BINDING_NAME_CLICK Semi_TotemBarButton2:LeftButton"] = "Button 2";
_G["BINDING_NAME_CLICK Semi_TotemBarButton3:LeftButton"] = "Button 3";
_G["BINDING_NAME_CLICK Semi_TotemBarButton4:LeftButton"] = "Button 4";
_G["BINDING_NAME_CLICK Semi_TotemBarButton5:LeftButton"] = "Button 5";

function Semi_Totem_Bar_OnLoad(self)
	self:RegisterEvent("PLAYER_ENTERING_WORLD");
	self:RegisterEvent("ADDON_LOADED");
end
--Might have to add an update bar position for the totem bar, since i'm using slots 116-120

function Semi_Totem_Bar_OnEvent(self, event, ...)
	local arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8 = ...;
	if event == "PLAYER_ENTERING_WORLD" or (event=="ADDON_LOADED" and arg1=="Semi_Totem_Bar") then
		if Semiclass ~= "Shaman" then
			Semi_TotemBar_ActionBar = false;
			Semi_TotemBar_HideBar();
			Semi_Totem_BarFrame:UnregisterAllEvents();
		else
			Semi_TotemBar_ActionBar = true;
			if (Semi_TotemBar_Locked == true) then
				Semi_TotemBar_LockBars();
			end
		end
	end
end

function Semi_Totem_Bar_LinkFrameToDragButton()
	if (not InCombatLockdown()) then
		UIPARENT_MANAGED_FRAME_POSITIONS["Semi_TotemBar"] = nil;
		if Semi_TotemBar_ActionBar then 
		 Semi_TotemBar:Show();
		 Semi_TotemBar:EnableMouse("true");
		end
		Semi_TotemBar:ClearAllPoints();
		Semi_TotemBar:SetPoint("BOTTOMLEFT", Semi_Totem_BarActionBarDragButton, "BOTTOMLEFT");
		Semi_Totem_GridChoice();	
	end
end

function Semi_Totem_GridChoice()
	if (not InCombatLockdown()) then
		if (Semi_Totem_Grid) then
			for i= 1, 5 do
				local gridbutton;
				gridbutton = getglobal("Semi_TotemBarButton"..i);
				gridbutton:SetAttribute("showgrid", 1);
				ActionButton_ShowGrid(gridbutton);			
			end
		end
		if (not Semi_Totem_Grid) then
			for i= 1, 5 do
				local gridbutton;
				gridbutton = getglobal("Semi_TotemBarButton"..i);
				gridbutton:SetAttribute("showgrid", 0);
				ActionButton_HideGrid(gridbutton);
			end
		end
	end
end

function Semi_TotemBar_HideBar()
	Semi_TotemBar_Actionbar = false;
	Semi_Totem_BarActionBarDragButton:SetAlpha(0);
	Semi_Totem_BarActionBarDragButton:EnableMouse("false");
	Semi_TotemBar:SetAlpha(0);
	Semi_TotemBar:EnableMouse("false");
	for i=1, 5 do
		local temp = _G["Semi_TotemBarButton"..i];
		temp:EnableMouse("false");
	end
end
	
function Semi_TotemBar_ShowBar()
	Semi_TotemBar_Actionbar = true;
	Semi_TotemBar:EnableMouse("true");
	Semi_TotemBar:SetAlpha(1);
	if (Semi_TotemBar_Locked == true) then
		Semi_TotemBar_LockBars();
	else
		Semi_TotemBar_UnLockBars();
	end
	for i=1, 5 do
		local temp = _G["Semi_TotemBarButton"..i];
		temp:EnableMouse("true");
	end	
end

function Semi_TotemBar_LockBars()
    Semi_Totem_BarActionBarDragButton:SetAlpha(0);
	Semi_Totem_BarActionBarDragButton:EnableMouse("false");
	Semi_TotemBar_Locked = true;
end        

function Semi_TotemBar_UnLockBars()
    Semi_Totem_BarActionBarDragButton:SetAlpha(1);
	Semi_Totem_BarActionBarDragButton:EnableMouse("true");
	Semi_TotemBar_Locked = false;
end
